# ------------------------------------------------------------------------------
#
# SAPDB Common descriptions
#
# ------------------------------------------------------------------------------
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


* -I$WRK/incl/SAPDB

SAPDB_Types.h inc=
SAPDB_Types.hpp inc=:SAPDB/SAPDBCommon/SAPDB_Types.h
SAPDB_C_Cplusplus.h inc=
# -------------------------------------------------------------------------------------
# UTF8 basis functionality:
# -------------------------------------------------------------------------------------
#

SAPDB_UTF8Basis.hpp                 inc=SAPDB_Types.hpp,hsp81.h
SAPDB_UTF8Basis.cpp                 inc=SAPDB_UTF8Basis.hpp

SAPDB_UTF8StringElement.hpp         inc=SAPDB_UTF8Basis.hpp
SAPDB_DynamicUTF8String.hpp         inc=SAPDBFields_DynamicUTF8StringBuffer.hpp
SAPDB_DynamicUTF8String.cpp         inc=SAPDB_DynamicUTF8String.hpp,\
                                        SAPDB_UnicodeCaseTable.hpp
SAPDB_DynamicUTF8StringTest.cpp     -except \
                                    inc=SAPDBFields_DynamicByteStringBuffer.hpp,\
                                        SAPDB_DynamicUTF8String.hpp,\
                                        SAPDB_UnicodeCaseTable.hpp
SAPDB_UnicodeCaseTable.cpp          inc=SAPDB_UnicodeCaseTable.hpp
SAPDB_UnicodeCaseTable.hpp          inc=SAPDB_Types.hpp

# -------------------------------------------------------------------------------------
# List functionality:
# -------------------------------------------------------------------------------------
SAPDB_List.hpp                      inc=SAPDB_Types.hpp
SAPDB_List.cpp                      inc=SAPDB_List.hpp
