#
#   Trace
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

* -I$WRK/incl/SAPDB

regex(*\.hpp$)              inc=gsp00,ggg00

Trace_DevSpace.hpp          inc=-ggg00
Trace_DevSpace.cpp          inc=+gsp03,gsp03_3,heo54k.h,heo57.h,heo58.h,hgg01.h,hgg01_1.h,Trace/Trace_DevSpace.hpp,Trace/Trace_InfoPage.hpp

Trace_Entry.hpp             inc=+ggg11,Trace/Trace_Types.hpp
Trace_Entry.cpp             inc=+ggg90.h,ggg91.h,Trace/Trace_Entry.hpp,Trace/Trace_Manager.hpp

Trace_Manager.hpp           inc=+heo761.h,Trace/Trace_DevSpace.hpp,Trace/Trace_Types.hpp,Trace/Trace_SlotPool.hpp
Trace_Manager.cpp           inc=+heo51.h,heo55k.h,heo56k.h,heo57.h,hgg01.h,hgg08.h,Trace/Trace_Manager.hpp

Trace_MessBlockEntry.hpp    inc=+Trace/Trace_Types.hpp,Trace/Trace_Entry.hpp
Trace_MessBlockEntry.cpp    inc=+Trace/Trace_MessBlockEntry.hpp,Trace/Trace_Manager.hpp

Trace_PacketEntry.hpp       inc=+Trace/Trace_Entry.hpp,Trace/Trace_Manager.hpp

Trace_Page.hpp              inc=gsp00,ggg11,Trace/Trace_Types.hpp

Trace_InfoPage.hpp          inc=gsp00
Trace_InfoPage.h            inc=gsp00
Trace_InfoPage.cpp -DKERNEL_LZU inc=geo50_0.h,geo002.h,Trace/Trace_InfoPage.h,Trace/Trace_InfoPage.hpp

Trace_Slot.hpp              inc=+heo761.h,heo76.h,Trace/Trace_DevSpace.hpp,Trace/Trace_Page.hpp,Trace/Trace_Types.hpp
Trace_Slot.cpp              inc=+ggg90.h,hgg01.h,heo76.h,heo57.h,Trace/Trace_Slot.hpp,Trace/Trace_Entry.hpp

Trace_SlotPool.hpp          inc=gsp00,heo57.h,Trace/Trace_Slot.hpp

Trace_Types.hpp         
Trace_Types.cpp             inc=+ggg11,Trace/Trace_Types.hpp,Trace/Trace_Entry.hpp

Trace_Wrapper.cpp           inc=+gsp00,ggg00,heo58.h,Trace/Trace_Entry.hpp,Trace/Trace_Manager.hpp,Trace/Trace_MessBlockEntry.hpp,Trace/Trace_PacketEntry.hpp,Trace/Trace_Writer.hpp

Trace_Writer.hpp            inc=-ggg00,+Trace/Trace_Manager.hpp
Trace_Writer.cpp            inc=+ggg00,hbd12_2.h,heo51.h,heo57.h,heo58.h,Trace/Trace_Writer.hpp
