# @(#)   desc/en.com   7.2.0   07/16/98
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end

&if $OSSPEC not in [ WIN32 ]
#
# All Modules described in this file are ONLY for UNIX ports!
#
###################
#-DSOCKETS        : Kommunikation ueber "sockets" 
###################
# CTS 1106771 SOCKET support now lokal define for those modules only, that need it
# &if $MACH not in [ NMP ]
# 		-DSOCKETS \
# &endif
#       inc=gen00.h,veo00c,ven00mc trace=none check=no -DDEVELOPMENT -DDO_NOT_USE_THREAD_FOR_TASK \
#
*       inc=gen00.h,veo00c,ven00mc trace=none check=no -DDEVELOPMENT \
&if $MACH in [ SUN ] and $OSSPEC in [ SVR4 ]
		-DASYNC_IO
&endif
#
*-a     APPLIC=Y
#
*-e     -DANW_RTE
#
# This variant uses kernel structures, but is not used inside kernel process
#

##########################################
# only for HPUX_32 ######################
##########################################
&if $MACH in [ PA11 ]
       :en/ugetfram.o binary
&endif

#
#  APPLICATIONS
#
gen00.h                                inc=gsp00,gsp100.h,geo60.h,vsp002,gen76.h
gen003.h                               inc=gsp00,gsp01.h,geo003.h,geo40.h,gen00.h
gen13.h                                inc=gsp00,vsp004,veo004c,gen00.h
gen23.h                                inc=geo00.h,gen00.h,gen003.h
gen32.h                                inc=geo00.h,gen00.h,gen003.h
gen33.h                                inc=geo00.h
gen34.h                                inc=geo00.h,gen00.h,gen50.h
gen35.h                                inc=gsp00
gen36.h                                inc=geo00.h
gen38.h                                inc=gsp00,gen00.h
gen41.h                                inc=geo00.h,gen00.h
gen42.h                                inc=gsp00,gen00.h
gen43.h                                inc=geo43_0.h
gen45.h                                inc=gen00.h,gen50.h
gen46.h                                inc=gsp00,gen003.h
gen48.h                                inc=gsp00
gen49.h                                inc=geo00.h,gen00.h
gen50.h                                inc=gen00.h,veo00c,heo07.h,vsp002,geo52.h
gen52.h                                inc=geo00.h
gen54.h                                inc=gsp00,vsp002
gen55.h                                inc=gsp00
gen57.h                                inc=geo00.h
gen60.h                                inc=geo00.h
gen60_1.h                              inc=geo00.h,geo002.h
gen66.h                                inc=gsp00
gen70.h                                inc=geo002.h
gen71.h                                inc=gsp00,gen50.h
gen72.h                                inc=geo00.h,gen50.h
gen73.h                                inc=gsp00,gen50.h
gen74.h                                inc=geo00.h,geo002.h,geo70k.h,gen00.h,gen003.h
gen75.h                                inc=geo00.h,geo002.h,geo70k.h,gen00.h,gen003.h
gen76.h                                inc=geo00.h
gen79.h                                inc=geo00.h,geo002.h,heo11.h
gen81.h                                inc=gsp00
gen83.h                                inc=geo00.h,gen50.h
gen84.h                                inc=geo00.h,gen50.h
gen85.h                                inc=geo00.h
gen87.h                                inc=geo00.h
gen88.h                                inc=geo00.h,gen50.h
gen89.h                                inc=geo00.h
# Kernel RTE Message Include File (to be replaced by geo007_1.h):
gen500.h                               inc=
gen541.h                               inc=gsp00,gsp01.h
gen780.h                               inc=

hen02.h                                inc=gsp00
hen03.h                                inc=gsp00
hen04.h                                inc=gsp00
hen05.h                                inc=gsp00
hen06.h                                inc=gsp00
hen07.h                                inc=gsp00
hen08.h                                inc=gsp00
hen09.h                                inc=gsp00
hen11.h                                inc=gsp00
hen12.h                                inc=gsp00
hen14.h                                inc=gsp00
hen15.h                                inc=gsp00
hen17.h                                inc=gsp00
hen18.h                                inc=gsp00
hen22.h                                inc=gsp00
hen37.h                                inc=gsp00
hen40.h                                inc=geo00.h
hen42.h                                inc=gsp00,gen00.h
hen43.h                                inc=gsp00,gsp01.h
hen50.h                                inc=gsp00
hen53.h                                inc=gsp00,gsp01.h
hen54.h                                inc=gsp00,vsp002,gen00.h
hen55.h                                inc=gsp00
hen56.h                                inc=gsp00
hen57.h                                inc=gsp00
hen59.h                                inc=gsp00
hen60.h                                inc=gsp00
hen62.h                                inc=gsp00
hen66.h                                inc=gsp00
hen71.h                                inc=gsp00
hen78.h                                inc=
hen541.h                               inc=gsp00,vsp002

ven00c                                 inc=geo52.h
# independent terminal include module
ven00tc                                inc=
ven01c  -Dstrings -DMAIN               inc=+geo001.h,geo57.h,heo46.h,RTE_saveUNIXcalls.h
ven02c
ven03.c -DSOCKETS                      inc=gsp01.h,gsp09.h,geo001.h,geo003.h,geo007_1.h,geo007_2.h,\
geo03.h,heo03.h,gen003.h,geo40.h,heo46.h,geo57.h,\
gen23.h,gen33.h,gen41.h,gen42.h,gen43.h,gen46.h,heo07.h

ven03tc                                inc=+vsp001c,gen003.h
&if $MACH in [ NMP ]
# virtual terminal
ven04   -NO                            inc=gsp00
# virtual terminal
ven04c  -NO -DKANJI                    inc=geo002.h,ven00tc,gen500.h,geo001.h,geo57.h
# virtual terminal subroutines
ven04sc -NO                            inc=geo002.h,geo001.h,geo57.h,geo007_1.h,heo01.h,ven00tc,hen40.h
&else
# virtual terminal
ven04   -NO                            inc=gsp00
&if $MACH in [ PA11, PA20W ]
# virtual terminal
ven04c  -DKANJI -D_XOPEN_SOURCE_EXTENDED \
                                       inc=geo002.h,ven00tc,gen500.h,geo001.h,geo57.h
# virtual terminal subroutines
ven04sc -D_XOPEN_SOURCE_EXTENDED       inc=geo002.h,ven00tc,geo001.h,geo57.h,geo007_1.h,heo01.h,hen40.h
&else
# virtual terminal
ven04c  -DKANJI                        inc=geo002.h,ven00tc,gen500.h,geo001.h,geo57.h,hen40.h
# virtual terminal subroutines
ven04sc                                inc=geo002.h,ven00tc,geo001.h,geo57.h,geo007_1.h,heo01.h,hen40.h
&endif
&endif
&if $MACH in [ PA11, PA20W ]
# lint dummy
ven04lc -D_XOPEN_SOURCE_EXTENDED       inc=geo002.h,ven00tc
# maketi
ven04mc -DMAKETI -D_XOPEN_SOURCE_EXTENDED \
                                       inc=geo002.h,ven00tc,geo001.h,geo57.h,hen40.h,heo01.h
&else
# lint dummy
ven04lc                                inc=geo002.h,ven00tc
# maketi
ven04mc -DMAKETI                       inc=geo002.h,ven00tc,geo001.h,geo57.h,hen40.h,heo01.h
&endif
# terminfo name generator
ven04nc                                inc=
ven05c                                 inc=+heo46.h,hen50.h,hen40.h
#
###### user virt. file
ven06f1t                               inc=vsp00
ven06f2t                               inc=vsp00
ven06f3t                               inc=vsp00
ven06f4t                               inc=vsp00
ven06f5t                               inc=vsp00
ven06f6t                               inc=vsp00
ven06fstc -DDEBUG                      inc=gsp00,geo002.h,veo00c,ven00mc
ven06c                                 inc=+heo46.h,geo001.h,geo57.h,hen40.h
ven06dc
ven06cc
#
ven07c								   inc=+hen40.h
ven08c
ven09.c                                inc=hen09.h,gen00.h,hen40.h
ven09-t.c -DTEST                       inc=hen09.h,gen00.h,hen40.h
ven11c                                 inc=+heo01.h,heo11.h,heo46.h,geo001.h,geo007_1.h,geo007_2.h,geo57.h,hen40.h
####### sqlargs
ven12fstc
ven12tc
ven12c                                 inc=gen00.h,veo00c,ven00mc,heo46.h,gen13.h,geo001.h,geo57.h,hsp77.h,hsp78.h,hsp81.h,hsp83.h
&if $MACH in [ _IBMR2]
ven12c.imp  binary
&endif
ven12a                                 inc=
#
####### sqluser
ven13c trace=none check=no             inc=+gen13.h,heo46.h,geo007_1.h,geo001.h,geo57.h,hen40.h
ven14c                                 inc=+heo46.h,hen40.h,hsp77.h
ven15c                                 inc=+heo46.h
ven17.c                                inc=gen00.h,geo00.h,geo001.h,geo57.h,geo007_1.h,hen40.h
ven18c								   inc=+hen40.h,geo007_1.h,heo01.h
#
ven21 REL=REL24                        inc=gsp00
#ven21c 
#ven21.c inc=hen21.h
ven22c                                 inc=+vsp003c,hen40.h,gsp01.h,heo01.h,RTESys_Time.h
ven23c -DSOCKETS                       inc=+vsp001c,gsp09.h,gen23.h,gen42.h,geo001.h,geo57.h,hen40.h,gsp01.h
#ven25c
#
ven32c                                 inc=+vsp001c,gen32.h,hen40.h,gen41.h
ven33c -DSOCKETS                       inc=+vsp001c,gen003.h,gen33.h,gen32.h,gen41.h,gen42.h,geo001.h,geo57.h,hen40.h
ven34c -DUSE_KGS                       inc=+geo50_0.h,gen34.h,hen40.h
ven35.cpp -DUSE_KGS -Dstrings          inc=ggg00,gsp00,geo00k.h,geo001.h,gen35.h,gco00.h,heo35.h,heo36.h,heo38.h,heo46.h,heo60.h,geo50_0.h,geo007_1.h,geo007_2.h,hen40.h,gen41.h,geo57.h,gen71.h,gen72.h,gen73.h,gen76.h,hen50.h,gen81.h
ven36c                                 inc=gen36.h,ven00mc,hen40.h,gen41.h
ven36.cpp                              inc=vsp001,gco00.h,geo00d.h,heo38.h,heo78.h,heo01.h,heo02x.h,geo60.h,gen500.h
ven37c                                 inc=heo46.h,geo60.h,hen37.h
ven38c    -DUSE_KGS                    inc=gen38.h,geo007_2.h,geo00_2.h
hen38.h                                inc=
ven38.cpp -DUSE_KGS                    inc=gsp00,heo01.h,heo02x.h,heo78.h,veo00c,gco00.h,geo00d.h,hak341.h,geo38.h,hen38.h,heo52.h,vsp002c,heo46.h,geo60.h,heo60.h,geo50_0.h,gen500.h,heo38.h
# PTS 1107243 
ven38NMP.cpp		                   inc=geo00d.h,gco00.h,vak001 -FIalloca
ven40c    -DUSE_KGS                    inc=gen00.h,hen40.h unpack=no
ven40c-i  -DENUMINST_ONLY -DUSE_KGS    inc=gen00.h,hen40.h unpack=no
ven41c                                 inc=heo41.h,gen41.h,geo007_1.h,hen40.h,heo01.h
ven42c                                 inc=+vsp001c,gen003.h,gen42.h,hen42.h,gen43.h,gen46.h,heo46.h,gen500.h,hen40.h
ven43c                                 inc=+vsp001c,gen003.h,gen43.h,hen43.h,geo007_1.h,hen40.h

# CTS 1106771
ven32c-s  -DSOCKETS                    inc=+vsp001c,gen32.h,hen40.h,gen41.h
ven42c-s  -DSOCKETS                    inc=+vsp001c,gen003.h,gen42.h,hen42.h,gen43.h,gen46.h,heo46.h,gen500.h,hen40.h
ven43c-s  -DSOCKETS                    inc=+vsp001c,gen003.h,gen43.h,hen43.h,geo007_1.h,hen40.h

ven45c   -DUSE_KGS                     inc=+gen50.h,vsp001c,gen003.h,gen41.h,gen45.h,heo07.h dep=gen500.h
ven45c-u -DUSE_KGS -DOUTSIDE_KERNEL    inc=gen00.h,veo00c,geo002.h,ven00mc,gen50.h,vsp001c,gen003.h,gen41.h,gen45.h,heo07.h trace=none check=no 
ven46c                                 inc=+vsp001c,gen46.h,gen500.h,hen40.h
ven48c                                 inc=+gen48.h
ven49c                                 inc=gen49.h,geo60.h unpack=no
ven49c-m -DMULTITHREADED               inc=gen49.h,geo60.h 

#
#  KERNEL
#
ven50.c -DUSE_KGS                      inc=hen50.h,geo50_0.h,geo007_1.h,heo07.h,heo670.h
ven51c  -DUSE_KGS -Dstrings            inc=gen00.h,geo50_0.h,geo00_2.h,hen50.h,heo51.h,heo46.h,gen71.h,gen72.h,gen73.h,gen75.h,gen81.h,gen88.h,hen56.h,hen40.h,geo007_1.h,heo15.h
#                            +geo002.h,vsp001c,gen003.h,gen500.h,hsp100.h 
ven52c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,geo007_1.h,gen52.h,heo52.h,hen40.h
ven53c  -DUSE_KGS -Dstrings            inc=+hen53.h,geo50_0.h,gen500.h,vsp001c,gen003.h,geo67.h,gen41.h,gen42.h,gen71.h
ven54c  -DUSE_KGS -Dstrings            inc=+heo52.h,geo50_0.h,gen500.h,geo54.h,gen54.h,heo54k.h,heo46.h,gen41.h,gen541.h,geo57.h,gen71.h,gen72.h,gen75.h,heo07.h,gen81.h,gen88.h,hen40.h,heo58.h,RTE_saveUNIXcalls.h
ven541c -DUSE_KGS -Dstrings            inc=+gsp01.h,gen500.h,heo46.h,gen541.h,hen541.h,geo001.h,geo57.h,hen40.h
ven54async -DUSE_KGS -Dstrings         inc=+geo50_0.h,gen500.h,hen40.h,gen54.h
ven55c  -DUSE_KGS -Dstrings            inc=+geo002.h,geo50_0.h,gen500.h,gen55.h,hen55.h,gen71.h,hen50.h,hen56.h
ven555.cpp inc=
ven56c  -DUSE_KGS -Dstrings            inc=heo56.h,geo00_0.h,geo50_0.h,geo007_1.h,geo00_2.h,heo52.h,geo002.h,gen71.h,gen83.h
ven57c  -DUSE_KGS                      inc=gen00.h,geo001.h,veo00c,geo002.h,geo50_0.h,geo007_1.h,geo57.h,hen57.h,hen40.h,gen41.h
ven58c  -DUSE_KGS                      inc=+geo002.h,heo46.h,gen50.h,gen500.h,heo58.h,geo001.h,geo57.h,geo50_0.h,hen40.h,hen54.h,hen50.h
ven59c  -DUSE_KGS                      inc=+gen500.h,heo46.h,hen59.h,hen40.h
ven60c  -DUSE_KGS                      inc=+geo50_0.h,geo007_1.h,geo007_2.h,gen60.h,gen60_1.h,hen60.h,gen41.h,heo46.h,gen48.h,hen40.h,geo00_2.h,heo86.h,RTESys_Time.h,hsp77.h,RTE_Speed.h
ven62c  -DUSE_KGS -DDYNAMIC_STACK      inc=+geo002.h,geo50_0.h,gen500.h,hen62.h,gen71.h,gen73.h
#
# Kern virtuelle File
ven66c  -DUSE_KGS -Dstrings            inc=+gen500.h,gen66.h,heo46.h,hen40.h
ven68c  -DUSE_KGS                      inc=+gen50.h,gen500.h,heo68.h,gen45.h
ven69c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,gen500.h,heo69.h
ven69c-a -DUSE_KGS -Dstrings           inc=+gen500.h,heo69.h
ven70c  -DUSE_KGS -Dstrings -DDYNDATA_FROM_SHARED_MEMORY \
                                       inc=geo50_0.h,gen500.h,geo70k.h,gen70.h,gen81.h,gen54.h,gen55.h,geo001.h,gen41.h,geo57.h,gen73.h,gen74.h,heo15.h,geo00_1.h
ven71c -DUSE_KGS -Dstrings -DTASK_STATISTIK \
                                       inc=+geo002.h,heo52.h,geo50_0.h,geo007_1.h,gen71.h,hen71.h,hen40.h
ven72c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,gen500.h,gen72.h,hen50.h,hen40.h
ven73c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,gen500.h,gen73.h,gen76.h
ven74c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,gen500.h,vsp001c,gen003.h,geo70k.h,hen40.h

&if $MACH in [_IBMR2, PA11, PA20W, NMP]
ven75c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,gen500.h,vsp001c,gen003.h,gen32.h,gen41.h,gen46.h,gen75.h,hen40.h,gen49.h,gen46.h,gen32.h,gen71.h,gen73.h,gen74.h,gen88.h,geo67.h
&else
ven75c  -DUSE_KGS -Dstrings            inc=+geo50_0.h,gen500.h,vsp001c,gen003.h,gen32.h,gen41.h,gen46.h,gen75.h,hen40.h,gen76.h,gen46.h,gen32.h,gen71.h,gen73.h,gen74.h,gen88.h,geo67.h
&endif

&if $MACH in [ NMP ]
ven76c   -DUSE_KGS  -DNO_AS -DSPINLOCK inc=+geo50_0.h,gen500.h,gen76.h,heo07.h
ven76c-u -DNO_AS -DSPINLOCK -DOUTSIDE_KERNEL inc=+geo50_0.h,gen500.h,gen76.h,heo07.h
&elif $MACH in [ SUN ]
ven76c   -DUSE_KGS                     inc=+geo50_0.h,gen500.h,gen76.h,heo07.h
ven76c-u -DOUTSIDE_KERNEL              inc=+geo50_0.h,gen500.h,gen76.h,heo07.h
&else
ven76c   -DUSE_KGS                     inc=+geo50_0.h,gen500.h,gen76.h,heo07.h #-DNO_AS
ven76c-u -DOUTSIDE_KERNEL              inc=+geo50_0.h,gen500.h,gen76.h,heo07.h #-DNO_AS
&endif
ven78.cpp -DUSE_KGS                    inc=heo01.h,heo78.h,geo47.h
ven78-u.cpp                            inc=heo01.h,heo78.h,geo47.h
ven78-t.cpp -DTEST                     inc=heo01.h,heo78.h,geo47.h
ven79c -DUSE_KGS                       inc=+heo11.h,gen79.h,geo79.h,geo007_1.h,geo002xp.h
ven80c                                 inc=gen81.h
ven80.cpp -DUSE_KGS                    inc=gen81.h,geo50_0.h,geo007_1.h,gen38.h
#Allow DONT_CRASH_IMMEDIATLY only for test purpose
#ven81.c -DUSE_KGS -Dstrings -DNOTRAC -DMAIN -D_THREAD_SAFE -DDONT_CRASH_IMMEDIATLY \
#                                       inc=veo00c,gen00.h,geo50_0.h,geo007_1.h,gen35.h,hen40.h,gen41.h,gen43.h,gen45.h,hen50.h,gen52.h,gen54.h,gen60.h,gen70.h,gen71.h,gen72.h,gen74.h,heo07.h,gen79.h,gen81.h,gen83.h,gen84.h,gen85.h,gen87.h,gen88.h,hsp100.h,geo002xp.h,geo57.h,heo15.h,geo67.h
ven81.c -DUSE_KGS -Dstrings -DNOTRAC -DMAIN -D_THREAD_SAFE \
                                       inc=veo00c,gen00.h,geo50_0.h,geo007_1.h,gen35.h,hen40.h,gen41.h,gen43.h,gen45.h,hen50.h,gen52.h,gen54.h,gen60.h,gen70.h,gen71.h,gen72.h,gen74.h,heo07.h,gen79.h,gen81.h,gen83.h,gen84.h,gen85.h,gen87.h,gen88.h,hsp100.h,geo002xp.h,geo57.h,heo15.h,geo67.h,Trace/Trace_InfoPage.h,heo86.h,RTESys_Time.h,RTE_saveUNIXcalls.h
ven83c  -DUSE_KGS -Dstrings            inc=+geo002.h,gen50.h,gen500.h,gen81.h,gen83.h,gen45.h,geo50_0.h,gen72.h,gen73.h,gen76.h,gen84.h,hen40.h
&if $OSSPEC in [ HPUX ]
ven84c  -DUSE_KGS -Dstrings -OPT=+O1   inc=+geo002.h,gsp01.h,geo50_0.h,gen500.h,vsp001c,gen003.h,gen81.h,gen84.h,hen40.h,gen32.h,gen38.h,gen41.h,gen42.h,gen71.h,gen72.h,gen73.h,gen76.h
ven88c  -DUSE_KGS -DDYNAMIC_STACK -OPT=+O2     inc=+geo002.h,geo50_0.h,gen500.h,geo001.h,geo57.h,gen88.h,gen89.h,hen40.h,gen71.h,gen73.h,gen74.h,hen50.h,heo69.h,gen54.h
&else
ven84c  -DUSE_KGS -Dstrings            inc=+geo002.h,gsp01.h,geo50_0.h,gen500.h,vsp001c,gen003.h,gen81.h,gen84.h,hen40.h,gen32.h,gen38.h,gen41.h,gen42.h,gen71.h,gen72.h,gen73.h,gen76.h
ven88c  -DUSE_KGS -DDYNAMIC_STACK      inc=+geo002.h,geo50_0.h,gen500.h,geo001.h,geo57.h,gen88.h,gen89.h,hen40.h,gen71.h,gen73.h,gen74.h,hen50.h,heo69.h,gen54.h
&endif
ven85c  -DUSE_KGS -Dstrings            inc=+gen50.h,gen500.h,vsp001c,gen003.h,gen81.h,gen85.h,geo001.h,geo57.h,hen40.h
ven87c  -DUSE_KGS                      inc=+geo50_0.h,gen500.h,heo07.h,gen60.h,gen81.h,gen87.h,hen40.h
ven89.cpp -DUSE_KGS                    inc=gen89.h,geo007_1.h,geo50_0.h,hen50.h,gen88.h
#
# RTE main programs
#
# start
ven90c              -DMAIN             inc=+hen40.h,heo01.h,gip00.h
# stop
ven91c   -DUSE_KGS -Dstrings           inc=+gen50.h,hsp100.h,gen41.h,hen40.h
# console
ven92.c   -DUSE_KGS -DMAIN             inc=hsp100.h,veo00c,geo007_2.h,veo00xc,geo002.h,gen003.h,heo46.h,heo92.h,geo50_0.h,geo001.h,geo57.h,hen40.h,heo07.h,gen38.h,gen41.h,gen45.h,gen34.h
# sysmon
ven92-m.c -DUSE_KGS -DMAIN -DRUN_AS_SYSMON \
                                       inc=hsp100.h,veo00c,geo007_2.h,veo00xc,geo002.h,gen003.h,heo46.h,heo92.h,geo50_0.h,geo001.h,geo57.h,hen40.h,heo07.h,gen38.h,gen41.h,gen45.h,gen34.h \
									    dep=geo921.h
# iparam
ven94c                                 inc=+heo11.h
# vserver
&if $MACH in [ _IBMR2] 
&   if defined BIT64
ven96c -DSOCKETS                       inc=+vsp001c,gen003.h,hsp100.h,gen32.h,hen40.h,gen41.h,gen42.h,gen43.h,heo46.h,gen46.h,gen49.h,gen76.h,gen904.h
&   else
#
# 32Bit AIX visual age compiler has problem with optimized version (check: x_ping fails)
ven96c -NO -DSOCKETS                   inc=+vsp001c,gen003.h,hsp100.h,gen32.h,hen40.h,gen41.h,gen42.h,gen43.h,heo46.h,gen46.h,gen49.h,gen76.h,gen904.h
&   endif
&else
ven96c -DSOCKETS                       inc=+vsp001c,gen003.h,hsp100.h,gen32.h,hen40.h,gen41.h,gen42.h,gen43.h,heo46.h,gen46.h,gen49.h,gen76.h,gen904.h
&endif
&if $MACH in [ _IBMR2]
&   if defined BIT64
ven96.c -DSOCKETS                      inc=gen00.h,veo00c,vsp001c,geo007_1.h,gen003.h,hsp100.h,gen32.h,gen33.h,hen40.h,gen41.h,gen42.h,gen43.h,heo46.h,gen46.h,gen49.h,gen76.h,gen904.h,hsp77.h,RTEDiag_Appldiag.h
&   else
#
# 32Bit AIX visual age compiler has problem with optimized version (check: x_ping fails)
ven96.c -NO -DSOCKETS                  inc=gen00.h,veo00c,vsp001c,geo007_1.h,gen003.h,hsp100.h,gen32.h,gen33.h,hen40.h,gen41.h,gen42.h,gen43.h,heo46.h,gen46.h,gen49.h,gen76.h,gen904.h,hsp77.h,RTEDiag_Appldiag.h
&   endif
&else
ven96.c -DSOCKETS                      inc=gen00.h,veo00c,vsp001c,geo007_1.h,gen003.h,hsp100.h,gen32.h,gen33.h,hen40.h,gen41.h,gen42.h,gen43.h,heo46.h,gen46.h,gen49.h,gen76.h,gen904.h,hsp77.h,RTEDiag_Appldiag.h
&endif
ven962.cpp -DSOCKETS                   inc=-ven00mc,+gsp01.h,hsp100.h,heo01.h,geo007_1.h,geo40.h,heo420.h,,heo46.h,heo47.h,heo60.h,gen003.h,gen32.h,gen33.h,gen42.h,gen43.h,hen40.h,geo908.h
# dump
ven97c                                 inc=+vsp001c,gen003.h
# die TYPE-Check-Module VEN10[1-4] sollten wenigstens uebersetzbar sein
ven101                                 inc=gsp00,vsp001,geo002.h,gsp03,vsp0031,ggg11        trace=none 
ven102                                 inc=vsp00,vsp001,geo002.h,vsp004,vsp005,vsp008,vin00 trace=none 
ven103                                 inc=vsp00                                            trace=none 
ven104                                 inc=vsp00                                            trace=none 
&if $MACH in [ NMP ]
# dbmon
ven111c -DUSE_KGS -DMAIN                                               
&endif
# testcomreg main
ven780-t.cpp -DTEST                    inc=heo01.h,hen78.h,gen780.h
# dumpcomreg main
ven780.cpp                             inc=heo01.h,hen78.h,gen780.h
#
# control RTE
#
ven901c  -DUSE_KGS -DUNIX              inc=+gen50.h,heo01.h,vsp003c,ven00sc,gsp09.h,veo005c,hsp100.h,gen41.h,gen45.h,hen40.h,gen904.h,gip00.h,geo002xp.h
ven902c  -DUSE_KGS                     inc=+geo50_0.h,gsp09.h,veo00xc,veo005c,geo001.h,geo57.h,geo00_2.h,heo92.h,hen40.h
ven903c  -DUSE_KGS -DSOCKETS           inc=gen00.h,veo00c,geo007_1.h,gen34.h,gsp09.h,hsp100.h,heo01.h,hen40.h trace=none check=no -DDEVELOPMENT
gen904.h                               inc=gsp00,gsp09.h
ven904c-i -DENUMINST_ONLY -DUNIX       inc=+gsp01.h,gen541.h,hen09.h,gsp09.h,ven00sc,geo001.h,geo57.h,gen904.h
ven904c  -DUNIX                        inc=+gsp01.h,gen541.h,hen09.h,gsp09.h,ven00sc,geo001.h,geo57.h
ven905c  -DSOCKETS                     inc=+gsp09.h,gen003.h,geo001.h,geo57.h
ven906c                                inc=gsp00,gen00.h,gen003.h,gsp09.h,geo001.h,geo57.h 
ven909.c                               inc=
# clr_kernel
ven930c  -DUSE_KGS -Dstrings           inc=+gen50.h,heo07.h,hsp100.h,hen40.h
# clr_ps_ipc
ven931c  -Dstrings                     inc=+hen40.h,gen41.h

#
# This creates a prototype for SAPDB_Debug_Env file. You can copy this file to your
# running directory and enable dynamic debugging...
# 
ven999Debug_Env.h concom=yes inc= ->$INSTROOT/env/SAPDB_Debug_Env

&endif	/* WIN32 */
