# @(#)   desc/eo.com   7.2.0   08/25/98
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

*-d -ansi -DDUMMY_MODULE
*-l -DDBROOT_PATHES_ONLY
*-b -DDBROOT_PATHES_ONLY
*-k -DKERNEL_LZU
*-c -DCONSOLE

#----------------------------
&if $OS in [ WIN32 ]
#----------------------------
#*      inc=vsp00c,vsp002,veo00c,vos00spc,vos00c trace=none check=no
* -ansi trace=none check=no                  inc=gsp00,gos00.h,vsp002c,veo00c

geo00c.h                                     inc=
geo00d.h                                     inc=gco01.h
geo00k.h                                     inc=gsp00,veo00c \
                                              dep=gos00.h
geo00_0.h                                    inc= \
                                              dep=gos00.h
geo001.h                                     inc=
geo002xp.h                                   inc=
geo29.h                                      inc=gsp00
geo50_0.h                                    inc= dep=vos00kc
geo60.h                                      inc=geo00.h,gsp00_0.h,geo47.h
geo101.h unpack=no                           inc=gsp00,gsp01.h,vsp002,gsp03,vsp0031

heo01x.h                                     inc=gsp00
geo36.h                                      inc=
heo36.h                                      inc=
geo39.h                                      inc=ggg00,ggg92.h \
                                             dep=vco03.idl
geo57.h                                      inc= \
                                             dep=gos00.h

veo00c                                       inc=gsp00,gos00.h
veo004c                                      inc=gsp100.h
veo04.c                                      inc=gsp00_0.h
veo06.c                                      inc=gsp00,geo00_0.h,veo00c,geo007_1.h,geo007_2.h,heo06.h,heo01.h,heo46.h,hsp77.h,hsp78.h \
                                             dep=vsp002c,gsp01.h,hos06.h,gos44.h,gos541.h
veo06-dir.c -DDIRECTORY_OPS_ONLY             inc=gsp00,geo00_0.h,veo00c,geo007_1.h,geo007_2.h,heo06.h,heo01.h,heo46.h,hsp77.h,hsp78.h \
                                             dep=vsp002c,gsp01.h,hos06.h,gos44.h,gos541.h
veo07-k.c                                    inc=heo07.h,geo00_0.h,geo001.h,geo57.h,geo007_1.h,geo007_2.h \
                                             dep=geo50_0.h
veo11.c                                      inc=hsp100.h,heo11.h,heo11_1.h,heo46.h,heo47.h,geo60.h \
                                             dep=gos44.h
veo13.c   -DPROTOTYPE                        inc=geo13.h,geo00_0.h,heo13.h,veo00c,heo46.h,geo007_1.h,geo007_2.h,hsp100.h,hsp78.h,hsp02.h \
                                             dep=vsp002c,hos13u.h
veo15.cpp  -DKERNEL -except                  inc=gsp00,heo07.h,heo15.h,geo007_1.h,geo007_2.h,geo57.h,geo001.h,hsp77.h,vos00kc
veo15-t.cpp -DTEST -except                   inc=gsp00,heo07.h,heo15.h,geo007_1.h,geo007_2.h,geo57.h,geo001.h,hsp77.h,vos00kc
veo35.cpp   -DUSE_KGS noshrglob              inc=gsp00,geo00k.h,heo35.h,heo38.h,heo36.h,heo47.h,heo60.h,gen500.h \
                                              dep=hos39.h
veo36.cpp    -DUSE_KGS -D_WIN32_DCOM         inc=gsp00,vsp001,geo60.h,geo00d.h,heo36.h,hsp26.h,geo36.h,heo38.h \
                                              dep=heo60.h,hak34.h,hak341.h,geo007_1.h
veo36-d.cpp  -D_WIN32_DCOM                   inc=gsp00,vsp001,geo60.h,geo00d.h,heo36.h,hsp26.h,geo36.h,heo38.h \
                                              dep=geo007_1.h
veo38.cpp -DUSE_KGS -Y -uc -D_WIN32_DCOM -except \
                                             inc=gsp00,ggg00,ggg92.h,heo01.h,heo52.h,heo15.h,veo00c,geo00d.h,geo39.h,hak07.h,hak34.h,hak341.h,geo38.h,heo38.h,geo36.h,heo02x.h,hco31-k.h,ggg251.h,hgg01.h \
                                              dep=gos00.h,geo007_1.h,vos00kc,hos38.h,hos39.h,heo56.h,geo60.h
veo38-d.cpp    -Y -uc -D_WIN32_DCOM -except \
                                             inc=gsp00,ggg00,ggg92.h,heo01.h,heo52.h,heo15.h,veo00c,geo00d.h,geo39.h,hak07.h,hak34.h,hak341.h,geo38.h,heo38.h,geo36.h,heo02x.h,hco31-k.h,ggg251.h,hgg01.h \
                                              dep=gos00.h,geo007_1.h,vos00kc,hos38.h,hos39.h,heo56.h,geo60.h
veo420.c                                     inc=gsp00,geo003.h,geo007_1.h,geo007_2.h,geo40.h,heo46.h,heo47.h,heo420.h,geo60.h \
                                              dep=gos42.h
veo43c                                       inc=gsp00,gos00.h,vsp009c,veo005c
veo44c                                       inc=gsp00,gos00.h,vsp009c,veo005c
veo44c-d -MD                                 inc=gsp00,gos00.h,vsp009c,veo005c
veo49.c                                      inc=gsp00,geo49.h \
                                              dep=gos00.h
veo56.cpp -DKERNEL_LZU                       inc=heo56.h,geo00_0.h,geo50_0.h,geo007_1.h,geo00_2.h,heo52.h,geo002.h
veo571.cpp -except -DKERNEL_LZU              inc=geo200.h,geo007_1.h,geo00_1.h,geo570.h,geo571.h,geo002xp.h,geo50_0.h
veo69.cpp -DKERNEL_LZU                       inc=gsp00,heo69.h,geo00_0.h,geo50_0.h,geo002.h,geo007_1.h
veo86.c	-DKERNEL_LZU                         inc=gsp00,geo00.h,geo002xp.h,geo00_2.h,geo002.h,geo007_1.h,heo11.h,heo86.h,heo861.h,heo79.h,heo15.h,heo47.h,heo52.h,geo001.h,geo50_0.h,hsp77.h,geo57.h \
                                              dep=gos00.h
veo861*.c                                    inc=gsp00,geo001.h,geo007_1.h,heo861.h,heo15.h,hsp77.h,geo57.h,geo50_0.h
veo100c                                      inc=
veo921.c -DCOMPO -uc -DRUN_AS_SYSMON -x=ntcpc \
                                             inc=geo001.h,geo00_2.h,geo007_1.h,heo92.h,geo921.h
veo922.cpp  -DKERNEL_LZU                     inc=gsp100.h,gsp92,geo00_0.h,geo007_2.h,geo50_0.h,geo002.h,geo57.h,heo47.h,heo92.h,veo00xc \
                                              dep=gos35k.h,gos003.h

#**************************** ???????????  UNIX  ????????? *****************************
&else
#**************************** ???????????  UNIX  ????????? *****************************
*-s -ansi -DVSERVER
*   -ansi trace=none check=no                inc=gsp00,veo00c

geo00k.h                                     inc=gsp00,veo00c dep=gen00.h
geo00_0.h                                    dep=gen00.h inc=
geo002xp.h                                   inc=
geo29.h                                      inc=gsp00
geo50_0.h                                    inc= dep=gen50.h
geo57.h                                      inc= dep=gen57.h
geo60.h                                      inc=geo00.h,gsp00_0.h,geo47.h dep=gen60.h

heo35k.h                                     inc=

veo00c                                       inc=gsp00,gen00.h
veo005c                                      inc=gsp09.h
veo04.c                                      inc=gsp00_0.h
veo06.c                                      inc=gsp00,geo00_0.h,veo00c,geo007_1.h,geo007_2.h,heo06.h,heo01.h,heo46.h,hsp77.h,hsp78.h \
                                             dep=geo54.h,heo602.h
veo06-dir.c -DDIRECTORY_OPS_ONLY             inc=gsp00,geo00_0.h,veo00c,geo007_1.h,geo007_2.h,heo06.h,heo01.h,heo46.h,hsp77.h,hsp78.h \
                                              dep=geo54.h,heo602.h
                                              
&if $MACH in [ NMP ]
veo07*.c -use_thread  parentlinkoption=-use_thread
&endif
                                           
veo07-k.c -DKERNEL_LZU                       inc=heo07.h,geo00_0.h,geo001.h,geo57.h,geo007_1.h,geo007_2.h
veo11.c                                      inc=hsp100.h,heo11.h,heo11_1.h,heo46.h,heo47.h,geo60.h
veo13.c                                      inc=geo13.h,geo00_0.h,geo007_2.h,heo13.h,veo00c,heo46.h,geo007_1.h,hsp100.h,hsp78.h,hsp02.h
veo15.cpp -DKERNEL -except                   inc=gsp00,heo07.h,heo15.h,geo007_1.h,geo007_2.h,geo57.h,geo001.h,hsp77.h,hen40.h
veo15-t.cpp -DTEST -except                   inc=gsp00,heo07.h,heo15.h,geo007_1.h,geo007_2.h,geo57.h,geo001.h,hsp77.h,hen40.h
veo35k.cpp  -DUSE_KGS noshrglob              inc=ggg00,gsp00,geo00k.h,heo35k.h,heo60.h,gen500.h
veo35.cpp   -DUSE_KGS noshrglob              inc=gsp00,geo00k.h,heo35.h,heo38.h,heo36.h,heo47.h,heo60.h,gen500.h \
                                              dep=gco00.h
veo36.cpp    -DUSE_KGS -D_WIN32_DCOM         inc=gsp00,vsp001,geo60.h,geo00d.h,heo36.h,hsp26.h,geo36.h,heo38.h \
                                              dep=heo60.h,hak34.h,hak341.h,gco00.h,gen500.h
veo38.cpp   -DUSE_KGS                        inc=gsp00,ggg00,ggg92.h,heo01.h,heo52.h,heo15.h,veo00c,geo00d.h,geo39.h,hak07.h,hak34.h,hak341.h,geo38.h,heo38.h,geo36.h,heo02x.h,hco31-k.h,ggg251.h,hgg01.h \
                                              dep=gco00.h,vsp002c,heo46.h,heo60.h,gen50.h,gen500.h,hen38.h,heo56.h,geo60.h
veo420.c                                     inc=gsp00,geo003.h,geo007_1.h,geo007_2.h,geo40.h,heo46.h,heo47.h,heo420.h,geo60.h
veo43c                                       inc=gsp00,gen00.h,vsp009c,veo005c
veo44c                                       inc=gsp00,gen00.h,vsp009c,veo005c
veo44c-d   -MD                               inc=gsp00,gen00.h,vsp009c,veo005c
veo49.c                                      inc=gsp00,geo49.h
veo56.cpp -DKERNEL_LZU                       inc=heo56.h,geo00_0.h,geo50_0.h,geo007_1.h,geo00_2.h,heo52.h,geo002.h \
                                              dep=hen50.h,gen71.h,gen72.h,gen83.h
veo571.cpp -except -DKERNEL_LZU              inc=geo200.h,geo007_1.h,geo00_1.h,geo570.h,geo571.h,geo002xp.h,geo50_0.h \
                                              dep=gen41.h
veo69.cpp -DKERNEL_LZU                       inc=gsp00,heo69.h,geo00_0.h,geo50_0.h,geo002.h,geo007_1.h \
                                              dep=hen50.h
veo86.c                                      inc=gsp00,geo00.h,geo00_2.h,geo002xp.h,geo002.h,geo007_1.h,heo11.h,heo86.h,heo861.h,heo79.h,heo15.h,heo47.h,heo52.h,geo001.h,geo50_0.h,hsp77.h,geo57.h
veo861.c                                     inc=gsp00,geo001.h,geo007_1.h,heo861.h,heo15.h,hsp77.h,geo57.h,geo50_0.h \
                                              dep=hen40.h
veo921.c -DCOMPO  -uc -DRUN_AS_SYSMON -x=tr_cpc \
                                             inc=geo001.h,geo00_2.h,geo007_1.h,heo92.h,geo921.h
veo922.cpp  -DKERNEL_LZU                     inc=gsp100.h,gsp92,geo00_0.h,geo007_2.h,geo50_0.h,geo002.h,geo57.h,heo47.h,heo92.h,veo00xc \
                                              dep=gen45.h
veo999tsig.c                                 inc=

#**************************** ???????????????????????????? *****************************
&endif
#**************************** ???????????????????????????? *****************************

geo00.h                                      inc=
geo00d.h                                     dep=vco01.idl,vco03.idl inc=gco01.h
geo00_2.h                                    inc=
geo00_1.h                                    inc=
geo001.h                                     inc=
geo001x                                      inc= unpack=no
geo002.h                                     inc=gsp00,vsp002,geo00_0.h
geo007_1.h                                   inc=geo47.h
geo007_2.h                                   inc=
geo003.h                                     inc=gsp00,geo001.h,heo01.h
geo03.h                                      inc=geo003.h,geo40.h
veo03.c                                      inc=gsp01.h,geo03.h,geo001.h,geo007_1.h,geo007_2.h,heo46.h,geo57.h,geo60.h,heo420.h,heo03.h,geo43_0.h
geo07.h                                      inc=
geo13.h                                      inc=vsp004,gsp100.h
geo28.h                                      inc=gsp00,geo200.h
geo31.h                                      inc=gsp00
geo36.h                                      inc=
geo38.h                                      inc=gco01.h
geo39.h                                      inc=ggg00,ggg92.h
geo40.h                                      inc=geo003.h
geo41.h                                      inc=geo200.h,gsp00
geo42.h                                      inc=geo003.h,geo200.h,geo60.h,geo41.h,geo007_1.h,gsp00
geo43.h                                      inc=gsp00,geo47.h
geo43_0.h                                    inc=gsp00
geo44.h                                      inc=geo42.h,gsp00
geo45.h                                      inc=geo42.h,geo44.h
geo47.h                                      inc=
geo49.h                                      inc=gsp00
geo52.h                                      inc=geo00.h
geo54.h                                      inc=gsp00
geo61.h                                      inc=gsp00
geo66.h                                      inc=gsp00
geo67.h                                      inc=gsp00,vsp0031
geo70k.h                                     inc=geo00k.h,geo002.h
geo77.h                                      inc=
geo79.h                                      inc=gsp00,gsp01.h,geo002.h
geo80.h	                                     inc=geo47.h,geo60.h
geo81.h	                                     inc=geo80.h
geo101.h unpack=no                           inc=gsp00,gsp01.h,vsp002,gsp03,vsp0031
geo102.h unpack=no                           inc=gsp00,gsp01.h,vsp004,gsp05.h
geo110.h                                     inc=geo42.h,geo200.h
geo111.h                                     inc=geo42.h,geo110.h,geo200.h
geo200.h			                               inc=geo001.h,geo47.h,geo60.h,gsp00
geo570.h                                     inc=geo00_0.h,geo200.h
geo571.h                                     inc=
geo572.h                                     inc=
geo573.h                                     inc=
geo900.h                                     inc=geo001.h,geo00.h
geo900.hpp                                   inc=geo001.h,geo60.h
geo906.h                                     inc=geo001.h
geo907.h                                     inc=geo111.h,geo42.h,geo45.h
geo908.h                                     inc=
geo921.h                                     inc=geo52.h

heo01.h                                      inc=gsp01.h
heo02.h	                                     inc=gsp00,vsp004,geo572.h
heo02x.h                                     inc=gsp00
heo03.h	                                     inc=gsp00,gsp01.h,vsp001
heo06.h                                      inc=gsp01.h,gsp05.h,hsp77.h
heo07.h                                      inc=gsp00,geo07.h
heo11.h                                      inc=gsp00,gsp01.h,gsp11.h,heo01.h
heo11_1.h                                    inc=
heo12.h                                      inc=geo00_0.h,gsp00
heo12_1.h                                    inc=gsp00
heo13.h                                      inc=gsp00,vsp004
heo15.h                                      inc=gsp00,geo00_0.h,heo07.h
heo16.h                                      inc=gsp00
heo21.h                                      inc=gsp00
heo35.h                                      inc=
heo36.h                                      inc=
heo38.h                                      inc=
heo381.h                                     inc=gsp00
heo41.h                                      inc=
heo46.h                                      inc=gsp00,gsp01.h
heo47.h                                      inc=geo00.h
heo50.h                                      inc=gsp00
heo51.h                                      inc=gsp00,vsp001,vsp002
heo52.h                                      inc=gsp00,geo52.h,veo00c
heo54k.h                                     inc=gsp00,vsp002
heo55k.h                                     inc=gsp00
heo56k.h                                     inc=gsp00
heo56.h                                      inc=gsp00
heo57.h                                      inc=gsp00
heo58.h                                      inc=gsp00,gsp200,vsp002,geo002.h
heo60.h                                      inc=gsp00,gsp03,vsp0031,heo60_1.h
heo60_1.h                                    inc=gsp00
heo60_2.h                                    inc=gsp00,gsp03
heo61.h                                      inc=gsp00,geo47.h
heo66.h                                      inc=gsp00,geo66.h
heo67.h                                      inc=gsp00,vsp0031
heo68.h                                      inc=gsp00
heo69.h                                      inc=gsp00
heo76.h                                      inc=gsp00
heo761.h                                     inc=heo76.h
heo77.h                                      inc=geo77.h
heo78.h                                      inc=
heo79.h                                      inc=gsp00,heo11.h
heo86.h                                      inc=
heo861.h                                     inc=
heo862.h                                     inc=
heo92.h                                      inc=geo002.h,geo00_2.h,geo50_0.h
heo95.h                                      inc=heo01.h
heo101.h unpack=no                           inc=geo101.h
heo102.h unpack=no                           inc=geo102.h,geo572.h,heo01.h,heo03.h,heo06.h,heo13.h
heo130.h                                     inc=
heo420.h                                     inc=gsp00,geo003.h
heo520.h                                     inc=gsp00

veo01.c                                      inc=hsp100.h,gsp09.h,heo01.h,heo46.h
veo01-l.c                                    inc=hsp100.h,gsp09.h,heo01.h,heo46.h -MD
veo01-b.c                                    inc=hsp100.h,gsp09.h,heo01.h,heo46.h
# replacement for veo01x (PTS 1106862)
veo011.c                                     inc=gsp00_0.h
veo02.c                                      inc=heo02x.h,gip00.h
veo02-m.c -MD                                inc=heo02x.h,gip00.h
veo02-d.c -MD                                inc=heo02x.h,gip00.h
veo02-k.c -DKERNEL_LZU                       inc=heo02x.h,gip00.h dep=geo60.h,geo007_1.h
veo03t.c                                     inc=gsp00,gsp01.h,vsp001,vsp0031
veo07-u.c -DUSER                             inc=heo07.h,geo00_0.h,geo001.h,geo57.h,geo007_1.h,geo007_2.h
veo07.c   -DUSER                             inc=heo07.h,geo00_0.h,geo001.h,geo57.h,geo007_1.h,geo007_2.h
veo07-m.c -DUSER -DUSE_MALLOC                inc=heo07.h,geo00_0.h,geo001.h,geo57.h,geo007_1.h,geo007_2.h
# special module using KB interfaces
veo11u.c  -DPROTOTYPE                        inc=gsp00,ggg00,gkb03,heo06.h,heo46.h,geo00_0.h,geo001.h,geo57.h,heo11.h,,heo11_1.h,geo002xp.h
veo111u.c -DPROTOTYPE                        inc=gsp00,ggg00,heo06.h,,heo46.h,heo11.h,heo102.h
veo12.c                                      inc=heo12.h
veo12_1.c -DPROTOTYPE                        inc=gsp00,vsp004,geo00_0.h,veo00c,heo46.h,heo12_1.h,heo102.h
veo130.c  -DPROTOTYPE                        inc=vsp004,gsp00,geo00_0.h,veo00c,heo46.h,heo130.h,heo102.h
#veo130.c  -DPROTOTYPE                        inc=vsp004,gsp00,geo00_0.h,veo00c,heo46.h,heo130.h,heo13.h
veo16.c                                      inc=hsp100.h,heo16.h,geo00_0.h,heo46.h
veo21.c                                      inc=heo21.h
veo28.cpp -except                            inc=gsp01.h,heo01.h,geo001.h,geo007_1.h,geo28.h,geo47.h,geo570.h,geo60.h,geo200.h,geo49.h
veo29-u.cpp                                  inc=geo29.h,heo07.h,geo00_0.h
veo29-k.cpp -DKERNEL                         inc=geo29.h,heo07.h,geo00_0.h
# C/C++ Wrapper
# main(argc,argv)
veo30.cpp                                    inc=
# main(argc,argv,envp)
veo302.cpp                                   inc=
#
# Pascal/C++ Wrapper
#
# tcc
veo301-ct01.cpp -DPASCAL_MAIN=ct01main       inc=
# pretty
veo301-ct11.cpp -DPASCAL_MAIN=ct11main       inc=
# usecheck
veo301-ct12.cpp -DPASCAL_MAIN=ct12main       inc=
# xref
veo301-ct64.cpp -DPASCAL_MAIN=ct64main       inc=
# prtprot
veo301-xt10.cpp -DPASCAL_MAIN=xt10main       inc=
#
# vttest
veo301-in59.cpp -DPASCAL_MAIN=in59main       inc=
# userx
veo301-in85.cpp -DPASCAL_MAIN=in85main       inc=
# load
veo301-lo01.cpp -DPASCAL_MAIN=lo01main       inc=
# query
veo301-qu01.cpp -DPASCAL_MAIN=qu01main       inc=
# slowci
veo301-ta39.cpp -DPASCAL_MAIN=ta39main       inc=
# diagnose
veo301-xt01.cpp -DPASCAL_MAIN=xt01main       inc=
#
veo31.c                                      inc=gsp00
veo381.cpp                                   inc=heo381.h
veo40.c                                      inc=geo007_2.h,heo420.h,geo40.h,heo46.h,heo47.h,geo60.h,:sap/saptype.h,:sap/saptypeb.h,:sap/saptypec.h,:sap/sapuc.h,:sap/nixx.h,:sap/err.h
veo40-d.c                                    inc=geo007_2.h,heo420.h,geo40.h,heo46.h,heo47.h,geo60.h,:sap/saptype.h,:sap/saptypeb.h,:sap/saptypec.h,:sap/sapuc.h,:sap/nixx.h,:sap/err.h
veo42c                                       inc=+vsp009c,heo01.h,heo102.h,veo005c
veo41.cpp                                    inc=geo200.h,geo007_1.h,geo41.h,gsp00
veo41-w.cpp -ansi -DUNICODE                  inc=geo200.h,geo007_1.h,geo41.h,gsp00
veo42.cpp   -ansi                            inc=geo200.h,geo007_1.h,geo60.h,geo41.h,geo42.h,gsp00,gsp01.h
veo43.cpp                                    inc=geo43.h,heo01.h
veo44.cpp		-ansi          inc=geo42.h,geo44.h,geo47.h,gsp00
veo45.cpp		-ansi					 inc=geo42.h,geo44.h,geo45.h
veo46.c                                      inc=heo46.h,heo47.h,geo00_0.h
veo47.c                                      inc=heo47.h
veo50.cpp                                    inc=heo50.h
veo51x                                       inc=gsp00_0.h unpack=no
veo54.c                                      inc=geo54.h
veo57.cpp -DKERNEL_LZU                       inc=heo57.h,geo00_0.h,geo50_0.h,veo00c
veo58.c	  -DKERNEL_LZU                       inc=heo58.h,geo00_0.h,geo50_0.h,heo46.h,heo52.h,geo007_1.h
veo60k.c  -DKERNEL_LZU                       inc=geo00k.h,geo002.h,vsp0031,geo00_0.h,geo50_0.h,heo46.h,heo60.h,heo60_2.h,hsp77.h \
                                              dep=heo52.h,RTESys_Time.h
veo60k-u.c                                   inc=geo00k.h,geo002.h,vsp0031,geo00_0.h,geo50_0.h,heo46.h,heo60.h,heo60_2.h,hsp77.h
veo61.cpp -DKERNEL_LZU                       inc=geo61.h,heo61.h,geo00_0.h,veo00c,geo50_0.h
veo66.c   -DKERNEL_LZU                       inc=gsp00,geo00_0.h,veo00c,geo002.h,geo50_0.h,heo66.h,heo46.h,heo01.h
veo67.cpp -DKERNEL_LZU -DDONT_USE_PRIORITY   inc=gsp00,vsp0031,geo00_0.h,geo00_2.h,geo50_0.h,geo007_1.h,heo52.h,heo56.h,heo67.h,geo67.h
#
# special test compilation defines for veo70.c:
#
# use -DFORCE_ALL_IN_ONE to compile as 'ALL_IN_ONE' (cserv.pcf is ignored...)
# use -DFORCE_ONE_TO_ONE to compile as 'ONE_TO_ONE' (cserv.pcf is ignored...)
#
veo70.c   -DPROTOTYPE -DKERNEL_LZU           inc=geo70k.h,geo00_0.h,geo50_0.h,geo007_1.h,heo11.h,geo001.h,geo57.h,heo69.h
veo76.cpp                                    inc=heo76.h
veo79.c    -DPROTOTYPE -DKERNEL_LZU          inc=heo79.h,geo002.h,geo002xp.h,vsp003c,veo00c,heo11_1.h,geo00_0.h,geo50_0.h,geo007_1.h,geo007_2.h,heo01.h,heo46.h,heo47.h,geo001.h,geo57.h,heo58.h
veo80.cpp                                    inc=geo80.h
veo81.cpp                                    inc=geo80.h,geo81.h
veo862.c                                     inc=gsp00,geo001.h,geo007_1.h,heo861.h,heo862.h
veo00xc                                      inc=veo00c
veo92-k.c   -DKERNEL_LZU                     inc=geo00_2.h,veo00xc,geo007_2.h,geo002.h,geo003.h,geo002xp.h,heo11.h,heo92.h,heo47.h
veo92-c.c   -DKERNEL_LZU                     inc=geo00_2.h,veo00xc,geo007_2.h,geo002.h,geo003.h,geo002xp.h,heo11.h,heo92.h,heo47.h
veo95.c                                      inc=heo95.h
veo98.c                                      inc=
veo99.c   -DPROTOTYPE                        inc=gsp00,heo11.h,heo01.h,heo46.h,heo11.h,geo60.h
veo110.cpp  -except                          inc=geo60.h,geo110.h,gsp00,geo007_1.h
veo111.cpp  -except                          inc=geo81.h,geo110.h,geo111.h,geo200.h,gsp00,geo007_1.h
veo112c.cpp  -DPROTOTYPE                     inc=gsp00,ggg00,gsp05.h,geo60.h,gkb03,heo06.h
veo131.c                                     inc=gsp00,heo12.h,geo13.h,heo13.h,hsp02.h,hsp77.h,hsp78.h,hsp83.h,hsp100.h
veo200.cpp -except                           inc=geo200.h,geo41.h,geo007_1.h
veo200-w.cpp -except -DUNICODE               inc=geo200.h,geo41.h,geo007_1.h
veo290.cpp                                   inc=geo80.h,geo29.h,heo07.h
veo520.c                                     inc=heo520.h
veo570.cpp -except                           inc=geo007_1.h,geo570.h,gsp00,geo60.h
veo572.cpp -except                           inc=geo007_1.h,gsp00,geo570.h,geo572.h
veo573.cpp                                   inc=geo570.h,geo573.h
heo600.h                                     inc=gsp00,gsp03
veo600.c -DKERNEL_LZU                        inc=geo00k.h,geo00_0.h,geo50_0.h,heo60_2.h,heo600.h,heo602.h
heo601.h                                     inc=
veo601.c                                     inc=
heo602.h                                     inc=gsp00,hsp78.h
veo602.c                                     inc=heo602.h,hsp77.h
heo670.h                                     inc=geo00.h,SAPDB_Types.h
veo670.c                                     inc=heo670.h,gsp00,hsp77.h,geo60.h,RTESys_Spinlock.h
veo670-k.c   -DUSE_MSG_PRIO7                 inc=heo670.h,gsp00,hsp77.h,geo60.h,RTESys_Spinlock.h \
                                              dep=heo01.h
veo900.c                                     inc=geo900.h
veo900.cpp                                   inc=geo900.hpp
veo906.cpp -except                           inc=gsp01.h,geo007_1.h,geo00_2.h,geo60.h,geo200.h,geo906.h,geo907.h,gos00.h,gos906.h	# use -DDUMP_PACKET_DATA to dump DBMSERVER send/receive data
veo907.cpp -ansi                						 inc=geo42.h,geo44.h,geo45.h,geo907.h,geo570.h
veo908.cpp -except              						 inc=gsp01.h,geo00_2.h,geo60.h,geo200.h,geo007_1.h,geo907.h,geo908.h,geo573.h
veo950.c  -D$OS -DDEF_PROGLIST               inc=gsp00,heo46.h,heo95.h,hsp100.h
veo951.c  -D$OS                              inc=gsp01.h,geo002xp.h,heo95.h,heo06.h,heo11.h
veo952.c  -D$OS                              inc=geo002xp.h,heo95.h,heo11.h,gsp09.h,gip00.h
veo953.c  -D$OS                              inc=geo002xp.h,heo95.h,heo12_1.h,gsp09.h
veo954.c  -D$OS                              inc=geo002xp.h,heo95.h,heo11.h,heo46.h,gsp09.h
veo957.cpp -except -I$WRK/incl/SAPDB         inc=gsp00,geo54.h,Trace/Trace_Types.hpp,Trace/Trace_InfoPage.hpp,Trace/Trace_Page.hpp,Trace/Trace_Entry.hpp
veo964.cpp                                   inc=gsp00,gsp01.h,geo03.h,heo03.h
veo991.c  -DPROTOTYPE                        inc=heo11.h,heo01.h
veo999test.cpp -except                       inc=geo200.h,geo57.h
veo999fsize.c                                inc=heo06.h,gsp05.h
veo999sysrc.c                                inc=heo46.h

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
&endif

