# @(#)   desc/kb.com   7.2.0   07/16/98
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#


*	inc=gsp00,ggg00,gkb00 trace=cccprint shrglob

regex(^vkb[7].*$)   trace_step_out

vkb04.cpp	inc=hkb04.h,hbd01.h,hbd04.h,hbd12.h,hbd21.h,hgg01.h,hkb05.h,hkb51.h,hkb53.h,hkb56.h,\
hkb64.h [s inc=+hta99.h,hta01.h s] noshrglob
hkb04.h		inc=ggg92.h

vkb05		inc=-gkb00,+ggg11
hkb05.h		inc=ggg00,gsp00
vkb06		inc=+vsp002,gsp200,gsp03,gsp03_2
vkb28		inc=+vsp002,gsp03,gsp03_2,ggg11
hkb28.h     inc=gsp00,ggg00

vkb33		inc=+gkb08
hkb33.h		inc=ggg00
vkb35		inc=+vsp002,gsp03,gsp03_2,vsp0031,gkb03,gkb06

gkb03		inc=+vsp002,vsp0031
vkb38		inc=+vsp002,gsp200,vsp0031,gsp03,gsp03_2,gkb03
vkb39		inc=+vsp002,vsp0031,gsp03,gsp03_2,ggg11,gkb03

vkb40		inc=+gkb08
vkb43		inc=+gkb08

gkb05		dep=ggg92.h
vkb50		inc=+gsp03,gsp03_2,gkb05
hkb50.h		inc=gsp00,ggg00
hkb50_1.h	inc=gsp00,ggg00,gkb00
hkb50_2.h	inc=gsp00,ggg00,gkb00,gkb05
vkb51		inc=+gsp03,gsp03_2,ggg11,gkb05
hkb51.h		inc=gsp00,ggg00
hkb51_1.h	inc=gsp00,ggg00,gkb00
hkb51_2.h	inc=gsp00,ggg00,gkb05
vkb52		inc=+gsp03,gsp03_2,gkb05
vkb53		inc=+ggg11,gkb05,gkb08
hkb53.h		inc=gsp00,ggg00
hkb53_1.h	inc=gsp00,ggg00,gkb00,gkb08
vkb531.cpp	inc=ggg92.h,gkb08,gsp03_2,hbd01.h,hbd04.h,gbd94.h,hgg01.h,hgg01_1.h,hkb50_1.h,hkb56_1.h,\
hkb85.h,hsp77.h [s inc=+hta99.h,hta01.h s] noshrglob

vkb55		inc=+gsp03,gsp03_2

gkb08		dep=ggg92.h
vkb56		inc=+gsp03,gsp03_2,vsp0031,gkb06,gkb08
hkb56.h		inc=gsp00,ggg00
hkb56_1.h	inc=gsp00,ggg00,gkb00
hkb56_2.h	inc=gsp00,ggg00,gkb00,gkb08
hkb56_3.h	inc=gsp00,ggg00,gkb00,gkb06
hkb56_4.h	inc=gsp00,vsp0031
vkb561		inc=+gsp03,gsp03_2,ggg11,gkb06,gkb08
vkb562		inc=+gsp03,gsp03_2,gkb06,gkb08
vkb57		inc=+gsp03,gsp03_2,gkb08

vkb61		inc=+gkb08
vkb62		inc=+vsp008
vkb63		inc=+gkb08
vkb64		inc=+gkb08
hkb64.h     inc=gsp00,ggg00
hkb64_1.h   inc=gsp00,ggg00,gkb00
vkb65		inc=+gkb08
vkb66		inc=+vsp008,gkb08

hkb67.h		inc=ggg92.h
vkb67.cpp	inc=hkb67.h,gsp03,gsp03_2,gkb08,gbd94.h,heo55k.h,hgg01.h,hgg01_1.h,hgg08.h,\
hgg10.h,hkb50.h,hkb51.h,hkb56_2.h,hkb85.h,hsp77.h [s inc=+hta99.h,hta01.h,hta01_2.h s] noshrglob

vkb007		inc=-gkb00,+ggg07
hkb71.h		inc=gsp00,ggg00
vkb71		inc=-gkb00,+ggg07,vkb007
vkb720		inc=-gkb00,+ggg07,vkb007
hkb720.h    inc=-gkb00,+ggg07,vkb007
vkb721		inc=-gkb00,+ggg07,vkb007 
vkb722		inc=-gkb00,+ggg07,vkb007
vkb73		inc=-gkb00,+ggg07,vkb007
vkb74		inc=-gkb00,+ggg07,vkb007
vkb741		inc=-gkb00,+ggg07,vkb007,gbd00
vkb75		inc=-gkb00,+ggg07,vkb007
vkb76		inc=-gkb00,+ggg07,vkb007
vkb78		inc=-gkb00,+vsp006,vsp008,ggg07,vkb007
vkb79		inc=-gkb00,+vsp006,ggg07,vkb007

vkb81		inc=+gsp03,gsp03_2,gkb08
vkb82		inc=+gsp03,gsp03_2,gkb08
vkb85		inc=+gsp03,gsp03_2,gkb08
hkb85.h		inc=gsp00,ggg00,gkb08
vkb87		inc=+gkb08
vkb88		inc=+gsp03,gsp03_2,ggg11,gkb08

vkb90		inc=+vsp001,vsp002,gsp03,gsp03_2,gkb09
hkb90.h		inc=gsp00,ggg00
vkb91		inc=+gsp03,gsp03_2,gkb09
vkb92		inc=+vsp002,gsp03,gsp03_2,ggg11
vkb93		inc=+vsp001,gkb08,gkb09
vkb94		inc=+gsp03,gsp03_2,gkb09
vkb95		inc=+gkb08,gbd00
vkb96		inc=+vsp001,gsp03,gsp03_2,gkb09

# ---------------------------------------- 

&if $MACH in [ HP9 ]
vkb57	-OPT=+O1
vkb90	-OPT=+O1
vkb91	-OPT=+O1
vkb92	-OPT=+O1
vkb93	-OPT=+O1
vkb94	-OPT=+O1
vkb95	-OPT=+O1
vkb96	-OPT=+O1
&endif

&if $OSSPEC == OSF1
vkb71	-OPT=-O1
&endif

&if $MACH in [ SUN ]
vkb74   -OPT=-xO1
&endif

&if $OSSPEC == LINUX && $MACH == IA64
regex(\w+\.cpp) -OPT=-O2
vkb57 -OPT=-O0
&endif

# PTS 1112819
&if ( $OSSPEC in [ AIX ] ) && ( not defined BIT64 )
vkb92 -NO
&endif
