/*********************************************************
 * Name:	vwd0023c.h
 * Version:	V1.01
 * Purpose:	Entries
 * Author:	Tony Guepin
 * Copyright:	Copyright 1996. Juergen Hoehe & Partner Infolytics & Tools
 * Date:	may 1996
 * --------------------------------------------------------
 */

typedef struct st_entry_st {
 unsigned long		namelg;
 char			*name;
 unsigned long		wertlg;
 char			*wert;
} * st_entry_p, st_entry;

char *EntryWertCase
(
 unsigned int	ncur_entry,
 st_entry	entries[],
 char		Name[]
);

int SetEntryWert
(
 unsigned int	*ncur_entry,
 st_entry	*entries[],
 unsigned int	NameLg,
 char		Name[],
 unsigned int	ValueLg,
 char		Value[],
 int		ErrorTextSize,
 char		ErrorText[]
);

int UpdEntryWert
(
 unsigned int	*ncur_entry,
 st_entry	*entries[],
 unsigned int	NameLg,
 char		Name[],
 unsigned int	ValueLg,
 char		Value[],
 int		ErrorTextSize,
 char		ErrorText[]
);

void DeleteEntries
(
 unsigned int	ncur_entry,
 st_entry	entries[]
);
