
/*******************************************************************************

  module:       hbd01_1.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      filesysteminterface_1

  lastChanged:  2000-05-08

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HBD01_1_H
#define HBD01_1_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\310\325\232\364\245\241/\001?\011\251}\233\310\003\240'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gbd00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tbd_current_tree b01nilcurrent;
externPascal tbd_univ_ptr b01_fbm_glob;

externPascal void b01test_bad_page (
    tbd_univ_ptr          &  io_obj,
    tsp00_PageNo             pno,
    tgg00_PageType_Param     test_pt,
    tgg00_PageType2_Param     test_pt2,
    tgg00_BasisError      &  err);


#endif

