
/*******************************************************************************

  module:       hbd73.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      ref_statistic

  lastChanged:  2001-02-22

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HBD73_H
#define HBD73_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '%\031\211\310\0036\371\240I\01633p[V\010'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gbd00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal pasbool b73spage_ref_statistic;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73cmd_count (
    tgg00_RefInfoIndex_Param     statement_kind);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73cmds_count (
    tgg00_RefInfoIndex_Param     statement_kind,
    tsp00_Int4               count);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73data_ref_statistic (
    tbd_monitor_op_Param     op_code);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73directory_ref_statistic (
    tgg00_DirectoryMonitorOp_Param     op_code);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73init_ref_statistic (
    tgg00_MonitorPart_Param     part);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73io_statistic (
    integer                  lno,
    tgg00_Tfn_Param          tfn,
    pasbool                  is_virt,
    pasbool                  is_read);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73log_ref_statistic (
    tbd_monitor_op_Param     op_code);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73_b10_ref_statistic (
    tbd_monitor_op_Param     op_code);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73show_ref_statistic (
    tsp00_TaskId             TaskId,
    tgg00_ReferenceInfo   &  info);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73cache_ref_statistic (
    tgg00_RefInfoIndex_Param     cache_kind);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73trace_ref_statistic (
    tbd_monitor_op_Param     op_code);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b73WatchEvents ();

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

