/*!***************************************************************************

  module      : hco82Idl2Code.h

  -------------------------------------------------------------------------

  responsible : FerdiF

  special area: IDL to Code Generator   
  description : Main prgram for code generation out of a XML File
				
  
  last changed: 2000-03-08  11:22
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 2000



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/

#ifndef HCO82IDL2CODE_H
#define HCO82IDL2CODE_H

typedef enum { dbo_method_co82, dbo_proc_co82 } DboType_Enum_co82;

typedef enum { attName_co82, attString_co82, attNumber_co82, attChar_co82, 
    attPack_co82, attUuid_co82, attType_co82, attDimension_co82, 
    attDirection_co82, attExpression_co82, attUnknown_co82
} XmlAttributeType_Enum_co82;

typedef enum { elemLibrary_co82, elemCpp_co82, elemPragma_co82, elemImport_co82, elemConst_co82,
    elemTypedef_co82, elemStruct_co82, elemMember_co82, elemEnum_co82, elemInclude_co82,
    elemInterface_co82, elemIdl_co82, elemCoClass_co82, elemParam_co82, elemIdl2Xml_co82, 
    elemExpr_co82, elemSub_co82, elemAdd_co82, elemFloat_co82, elemFixed_co82, elemMul_co82,
    elemDiv_co82, elemMod_co82, elemIdent_co82, elemUnknown_co82 
} XmlElementType_Enum_co82;

XmlAttributeType_Enum_co82 co82getAttributeType(const char* attribute);
XmlElementType_Enum_co82   co82getElementType(const char* element);

#endif

