/****************************************************************************

  module      : geo00_1.h

  -------------------------------------------------------------------------

  responsible : RaymondR

  special area: common include file
  description : common include file


  last changed: 1999-03-22  10:24
  see also    : 

  -------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*****************************************************************************/


#ifndef GEO00_1_H
#define GEO00_1_H



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/


/*===========================================================================*
 *  DEFINES                                                                  *
 *===========================================================================*/

#define ALIGNMENT_VALUE_EO00               16


/*===========================================================================*
 *  MACROS                                                                   *
 *===========================================================================*/

#define PAGESIZE_TO_SHIFTVALUE_EO00(_pagesize, _shiftvalue) \
          { for ( *_shiftvalue = 10; (_pagesize >> ((*_shiftvalue) + 1) ) > 0; (*_shiftvalue)++ ); }

#define PAGES_TO_BYTES_EO00(_pages, _shiftvalue)   ((_pages) << _shiftvalue)
#define BYTES_TO_PAGES_EO00(_bytes, _shiftvalue)   ((_bytes) >> _shiftvalue)


#define  ARRAY_SIZE_EO00(_A)                                                       \
           (sizeof(_A) / sizeof((_A)[0]))

/*===========================================================================*
 *  CLASSES, STRUCTURES, TYPES, UNIONS ...                                   *
 *===========================================================================*/


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/


/*===========================================================================*
 *  EXTERNAL VARIABLES                                                       *
 *===========================================================================*/



#endif  /* GEO00_1_H */
