/*!******************************************************************************

  @file         hgg01.h

  ------------------------------------------------------------------------------

  @author       

  @brief        Configuration_Parameter

\if EMIT_LICENCE  

    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
\endif

********************************************************************************/

#ifndef HGG01_H
#define HGG01_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\x4b\xab\x76\xf1\xc5\x05\x34\xcd\x69\x9f\x74\xa7\xf0\x71\x1e\xed'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tgg_code_globals g01code;
externPascal tsp_int2 g01commit_delay;
externPascal tgg_controluser g01controluser;
externPascal pasbool g01default_lru;
externPascal tgg_kernel_globals g01glob;
externPascal tgg00_HashPrimeList g01hashprime;
externPascal tgg_serverdb_no g01localsite;
externPascal tgg00_ParamLog g01log;
externPascal pasbool g01log_backup_to_pipe;
externPascal tgg_serverdb_no g01maxsite;
externPascal tgg_long_qual g01nil_long_qual;
externPascal tgg_sfp_init_part g01nil_sel;
externPascal tgg_stack_desc g01nil_stack_desc;
externPascal pasbool g01nls_sort;
externPascal tsp_knl_identifier g01nls_default_map;
externPascal tsp_int4 g01page_size;
externPascal tgg_pid_globals g01pid;
externPascal pasbool g01restart_local;
externPascal tsp_int4 g01reserved_redo_size;
externPascal tgg_serverdb_ident g01serverdb_ident;
externPascal pasbool g01stand_alone;
externPascal pasbool g01sysaccount;
externPascal pasbool g01diag_moni_parse_on;
externPascal pasbool g01updstat;
externPascal tgg_tabid_globals g01tabid;
externPascal tgg00_TimeoutGlobals g01timeout;
externPascal tgg_uniparam_record g01unicode_param;
externPascal tgg_vtrace_state g01vtrace;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 g01align (
    tsp00_Int4               val);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01asynio_block_count ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01build_res_percent ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01cache_size (
    tgg_cache_type_Param     cache_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01calc_usable_desc (
    tgg_message_type_Param     mtype,
    tsp_int4                 available_desc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01catalog_cache_init_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01check_mxgg (
    pasbool               &  ok);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01datapart_init (
    tgg_mess_block        &  mblock,
    tgg_datapart_ptr         datapart_ptr,
    tsp_int4                 datapart_size);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01deadlock_detection ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01default_configuration ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool g01delay_commit ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool g01delay_lw ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01distinct_overhead ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01dump (
    tgg_vf_fileref        &  hostfile,
    tsp_page              &  buf,
    tsp_int4              &  out_pno,
    integer               &  out_pos,
    tsp_vf_return         &  host_err,
    tsp_errtext           &  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_copy_boundary ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_io_area_flush ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_io_area_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_io_bufsize ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_io_cnt ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_lru_tail_flush ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01dw_sleeptime ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01fbm_devsp_balance ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01fbm_devsp_compr ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01fbm_low_io_rate ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01fetch_res_percent ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 g01GetSessionAuxCounter (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tgg00_JoinSearchLevel_Param g01join_search_level ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int2 g01join_maxtab_level4 ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int2 g01join_maxtab_level9 ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01incrsite (
    tgg_serverdb_no       &  site);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01index_file_list ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01inittabid ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01int2incr (
    tsp_c2                &  intvalue);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01int4incr (
    tsp_c4                &  intvalue);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01io_block_count ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool g01is_livecache ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01join_prefetch_percent ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01kb_work_st_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01kb_workbuf_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01kbfunction_tasks ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01key_assign (
    tgg00_Lkey            &  source_key,
    tgg00_Lkey            &  target_key,
    tgg00_BasisError      &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01key_and_len_assign (
    tsp00_Key             &  source_key,
    tsp00_Int4               source_key_len,
    tsp00_Key             &  target_key,
    tsp00_Int2            &  target_key_len,
    tgg00_BasisError      &  e);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01key_inv_rate_percent ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01lock_supply_block ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01log_glob_param_init (
    tsp_process_id           pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01max_merge ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxautobackupdevs ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxdatadevspaces ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxcpu ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxdatapages ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxdatawriter ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxobjgarbagecoll ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxhashmemory ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxlocks ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxserverdb ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxservertask ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxtrans ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxuser ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01maxuserstack ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01mb_data_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01mb_qual_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01mb_stack_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01mblock_init (
    tgg00_TransContext    &  source_trans,
    tgg_message_type_Param     mess_type,
    tgg_message2_type_Param     mess2_type,
    tgg_mess_block        &  mblock);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01min_server_desc ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool g01mirrored_data ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01new_dump_page (
    tgg_vf_fileref        &  hostfile,
    tsp_page              &  buf,
    tsp_int4              &  out_pno,
    integer               &  out_pos,
    tsp_vf_return         &  host_err,
    tsp_errtext           &  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01next_prim_number (
    tsp_int4              &  prim_int);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01no_of_backup_devs ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 g01NumberOfUKTs ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01oms_heap_limit ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01orderby_factor ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01packet_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01pno_supply_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01prev_prim_number (
    tsp_int4              &  prim_int);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01qual_init (
    tgg_mess_block        &  mblock,
    tgg_qual_buf_ptr         qual_ptr,
    tsp_int4                 qual_size);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01read_ahead_blobs ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 g01region_cnt (
    tgg_region_type_Param     region_type);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01stack_init (
    tgg_mess_block        &  mblock,
    tgg_stack_list_ptr       stack_ptr,
    tsp_int4                 stack_size,
    tgg_qual_buf_ptr         qual_ptr,
    tsp_int4                 qual_size);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool g01svp_1_conv_flush ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01time_vtrace (
    tgg00_TransContext    &  t,
    tsp_name              &  msg,
    tsp_int4              &  start_sec,
    tsp_int4              &  start_msec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01transid_init (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool g01userstackoverflow ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void g01vtr_init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

