
/*******************************************************************************

  module:       hkb05.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_functions

  lastChanged:  1999-12-02

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB05_H
#define HKB05_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: ']\3300\275\203\265\373\233M\0204\301\370\300\335q'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k05cold_functions (
    tgg00_MessBlock       &  mblock);

externPascal void k05functions (
    tgg00_MessBlock       &  mblock);

externPascal void k05init ();

externPascal pasbool k05is_fatal_error (
    tgg00_BasisError         e);

externPascal void kb05AddRecord (
    tgg00_TransContext    &  Trans,
    tgg00_FileId          &  FileId,
    tgg00_Rec             &  Buf);

externPascal void kb05DelRecord (
    tgg00_TransContext    &  Trans,
    tgg00_FileId          &  FileId,
    tgg00_Lkey            &  Key);

externPascal void kb05GetRecord (
    tgg00_TransContext    &  Trans,
    tgg00_FileId          &  FileId,
    tgg00_Lkey            &  Key,
    tgg00_Rec             &  Buf);

externPascal void kb05ReplRecord (
    tgg00_TransContext    &  Trans,
    tgg00_FileId          &  FileId,
    tgg00_Rec             &  Buf);

externPascal void kb05ReturnErrorHandling (
    tgg00_TransContext    &  Trans,
    tgg00_MessType_Param     StartMessType,
    tgg00_MessType2_Param     StartMessType2,
    tgg00_StackListPtr       WorkStack,
    tsp00_Int2               WorkStackMax);


#endif

