
/*******************************************************************************

  module:       hkb50_1.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_trans_state

  lastChanged:  2000-05-10

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB50_1_H
#define HKB50_1_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'Zv\212\012\015^\253\012\341Yk\320&\000~B'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gkb00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k50assign_logpos_list (
    tgg00_TransIndex         TransIndex,
    tsp00_Int2               LogPosItems,
    tgg00_MessType2_Param     LogPosState,
    tkb00_LogLpnoList     &  LpnoList,
    tkb00_LogPposList     &  PposList);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50get2_logpos_list (
    tgg00_TransIndex         TransIndex,
    tsp00_Int2            &  LogPosItems,
    tgg00_MessType2       &  LogPosState,
    tkb00_LogLpnoList     &  LpnoList,
    tkb00_LogPposList     &  PposList);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50GetObjPrevLogPos (
    tgg00_TransIndex         TransIndex,
    tkb00_LogEntrySeq     &  StopEntrySeq,
    tkb00_LogEntrySeq     &  PrevEntrySeq,
    tkb00_LogFileRef      &  RbFile);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50get_prev_entry_seq (
    tgg00_TransIndex         TransIndex,
    tkb00_LogEntrySeq     &  PrevEntrySeq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50put_obj_prev_logpos (
    tgg00_TransIndex         TransIndex,
    tgg00_TransState      &  TransState,
    tkb00_LogEntrySeq        PrevEntrySeq,
    tkb00_LogFileRef      &  RbFile);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50put_prev_logpos (
    tgg00_TransIndex         TransIndex,
    tgg00_TransState      &  TransState,
    tgg00_LogPos             PrevLogpos,
    tkb00_LogEntrySeq        PrevEntrySeq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50put_seq_prev_entry (
    tgg00_TransIndex         TransIndex,
    tkb00_LogEntrySeq     &  PrevEntrySeq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50RollbackLogPos (
    tgg00_TransIndex         TransIndex,
    tgg00_LogPos          &  PrevLogpos,
    tkb00_LogEntrySeq     &  StopEntrySeq);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

