
/*******************************************************************************

  module:       hkb56.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_logging

  lastChanged:  2003-01-08

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB56_H
#define HKB56_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\xb8\x1e\x35\x56\xfa\x8f\x69\x0d\x41\x91\xbb\x8c\x72\xdd\xcb\xab'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal tgg00_LogPos kb56NilLogPos;

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56abort_redo (
    tsp00_TaskId             process_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56all_force_log (
    tgg00_TransContext    &  t,
    pasbool                  leave_logregion);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56allocate_logcache (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 k56atomic_head_len (
    tgg00_MessType_Param     MessType,
    tgg00_MessType2_Param     MessType2);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56check_log_integration (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56check_logsave_allowed (
    tgg00_BasisError      &  BasisError);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56check_restore_log (
    tgg00_TransContext    &  t,
    tsp00_PageNo             first_lpno,
    tsp00_PageNo             last_lpno,
    tsp00_Line            &  db_ident);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56clear_from_logpos (
    tgg00_TransContext    &  t,
    tsp00_Int4               until_date,
    tsp00_Int4               until_time,
    tgg00_LogPos             start_clear);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56clear_log (
    tgg00_TransContext    &  t,
    pasbool                  noformat,
    pasbool                  in_log_region);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56commit_rollb_log (
    tgg00_TransContext    &  t,
    tgg00_MessType_Param     mess_type,
    pasbool               &  try_checkpt_savept,
    tgg00_LogPos          &  last_logpos);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56connect_log (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56dump_logcache (
    tgg00_VfFileref       &  hostfile,
    tsp00_Page            &  buf,
    tsp00_Int4            &  out_pno,
    integer               &  out_pos,
    tsp00_VfReturn        &  host_err,
    tsp00_ErrText         &  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56end_save_data (
    tgg00_TransContext    &  t,
    tsp00_PageNo             bup_first_used,
    tsp00_Int4               curr_backup_vers,
    tsp00_Int4               prev_backup_vers,
    pasbool                  is_cold_and_consistent);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56end_subtrans_log (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_PageNo k56first_lpno_on_disk ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56force_log (
    tgg00_TransContext    &  t,
    tgg00_LogPos             wanted_force);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56FreeLog (
    tgg00_TransContext    &  Trans,
    tsp00_PageNo             FromLpno,
    tsp00_PageNo             ToLpno);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56get_error_count (
    tsp00_TaskId             process_id,
    tsp00_Int4            &  error_count);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56get_redo_until (
    tsp00_TaskId             process_id,
    tsp00_Int4            &  until_date,
    tsp00_Int4            &  until_time);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56incr_redo_error_cnt (
    tsp00_TaskId             process_id,
    tsp00_Int4               increment);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56init_after_restore_log (
    tgg00_TransContext    &  t,
    tsp00_PageNo             new_first_lpno);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56init_log (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k56is_backup_history_lost ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k56is_demo_log ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k56is_log_full (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k56is_log_really_full (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k56is_logpos_greater (
    tgg00_LogPos             left_operand,
    tgg00_LogPos             right_operand);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k56is_objlog_configured ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 k56log_segment_size ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56logfull_reset (
    tsp00_TaskId             process_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_PageNo k56logoffset (
    tsp00_PageNo             lpno,
    tgg00_PageType_Param     wanted_pagetype);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56logsave_param (
    tgg00_TransContext    &  t,
    pasbool                  is_cold,
    pasbool                  for_autosave,
    pasbool                  complete_log,
    tsp00_PageNo          &  first_lpno,
    tsp00_PageNo          &  last_lpno,
    tsp00_Int4            &  dbstamp1_date,
    tsp00_Int4            &  dbstamp1_time,
    tsp00_Int4            &  dbstamp2_date,
    tsp00_Int4            &  dbstamp2_time,
    tsp00_Line            &  dbident);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_PageNo k56lpno_lastlog ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56move_to_logpage (
    tgg00_TransContext    &  t,
    tsp00_Int4               sizeof_moveobj,
    void*                    moveobj,
    tsp00_Int4               moveobj_pos,
    tsp00_Int4               move_len,
    pasbool                  align_logentry_end,
    tsp00_Int4            &  logrest_len,
    tgg00_LogPos          &  last_logpos);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56new_logsize (
    tsp00_TaskId             process_id,
    tsp00_Int4               new_logsize);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 k56next_log_backup_cnt (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 k56pages_not_saved ();

/* Don't edit this file by hand, it is generated by ptocProto.py */


#if defined (SAPDB_SLOW)

externPascal void k56print_cache ();

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

externPascal tsp00_PageNo k56redo_log_first_disk_lpno ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56read_log_info (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56release_log (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56restart_log (
    tgg00_TransContext    &  t,
    pasbool                  is_restore_log,
    pasbool                  until_wanted,
    pasbool                  is_save_log_cold);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56savepoint_wait (
    tgg00_TransContext    &  Trans);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56set_demo (
    tgg00_TransContext    &  t,
    pasbool                  is_demo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56set_end_of_redo ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56set_new_db_ident (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56set_not_generated ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56statistics_reset (
    tsp00_TaskId             process_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56trans_count_init (
    tsp00_TaskId             process_id);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56unused_logs_delete (
    tgg00_TransContext    &  t,
    pasbool                  write_loginfo,
    tsp00_PageNo             last_free_lpno);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56upd_log_bck_cnt (
    tgg00_TransContext    &  t,
    tsp00_Int4               backup_count);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56write_log_info (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

