
/*******************************************************************************

  module:       hkb56_2.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_logging

  lastChanged:  2001-04-17

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
********************************************************************************/

#ifndef HKB56_2_H
#define HKB56_2_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'T\351\370R\273nB\032\252Y6\211x[\021)'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gkb00.h"
#include "gkb08.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k56DumpUndoRedoInfo (
    tsp00_TaskId             TaskId,
    tgg00_BasisError         TrError,
    tkb08_LogentryParam   &  LogEntry,
    tsp00_Buf             &  OldRec,
    tsp00_Buf             &  NewRec);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56logentry_head (
    tgg00_TransContext    &  t,
    tkb08_LogEntryHeader&     lg,
    tkb08_LogEntryType_Param     entry_type,
    tsp00_Int4               atomic_header_len,
    tsp00_Int4               loghead_len,
    tsp00_Int4            &  logrest_len,
    tgg00_LogPos          &  first_logpos,
    tgg00_LogPos          &  last_logpos);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb56LogObjEntryHead (
    tgg00_TransContext    &  Trans,
    tkb08_LogEntryHeader&     LogEntry,
    tsp00_Int4               LogHeadLen,
    tgg00_LogPos          &  FirstLogPos,
    tgg00_MessType2       &  EntryPart,
    tkb00_LogFileRef      &  RbFile);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56tablogentry_head (
    tgg00_TransContext    &  t,
    tkb08_LogEntryHeader&     lg,
    tgg00_StackListPtr       stack_list_addr,
    tsp00_Int4               col_pos,
    tsp00_Int4               mult_pos,
    tsp00_Int4            &  logrest_len,
    tgg00_LogPos          &  first_logpos,
    tgg00_LogPos          &  last_logpos);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

