/* @lastChanged: "1998-10-21  17:22"

  * @filename:   hos39.h
  * @purpose:    "COM"
  * @release:    7.1.0.0
  * @see:        "-.-"
  *
  * @copyright:  "Copyright by SAP AG, 1998"


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

*/

#ifndef HOS39_H
#define HOS39_H

#include "geo39.h"

externC VOID os39CoCreateInstance         (tsp_dcom_co_create_instance_parms *parms);

externC VOID os39CoGetClassobject         (tsp_dcom_co_create_instance_parms *parms); 

externC VOID os39VDcomCreateInstance      (tsp_dcom_co_create_instance_parms *parms);

externC VOID os39VDcomDBProc              (tsp_dcom_dispatch_parms *parms);

externC VOID os39VDcomGetDispAddr         (tsp_dcom_co_create_instance_parms *parms);

externC VOID os39VDcomParamInfo           (tsp_dcom_paraminfo_parms *ParamInfo);

externC VOID os39VDcomTransEnd            (tsp_dcom_dispatch_parms *parms);

externC VOID os39VDcomTransfer            (teo39_TransferP *pbuffer);

externC VOID os39VDcomReleaseAll          (tsp00_Addr SessionContext, bool RemoteFlag, HRESULT *pRc );

#endif
