/*!******************************************************************************

  @file         hta01_3.h

  ------------------------------------------------------------------------------

  @author       

  @brief        Test_Procedures

\if EMIT_LICENCE  

    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end
\endif

********************************************************************************/

#ifndef HTA01_3_H
#define HTA01_3_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\x7a\x22\x77\xa6\x1f\xda\x2c\xff\xd7\x30\x12\xd0\xb8\x6b\xd7\xaa'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "ggg07.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void t01strat_enum (
    tgg00_Debug_Param        debug,
    const char*              nam,
    tgg07_StratEnum_Param     strat);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void t01disable_debug_or_trace ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void t01optimize_info (
    tgg00_Debug_Param        debug,
    tgg00_StackDesc       &  stack_desc,
    tsp00_MoveObjPtr         data_addr);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void t01init_line (
    tsp00_Line            &  ln,
    integer               &  ln_len,
    tsp00_Sname           &  nam);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

