/* @lastChanged: "1999-04-29  8:52"

  * @filename:   hta99.h
  * @purpose:    "TA_knltrace"
  * @release:    7.1.0.0
  * @see:        ""
  *
  * @copyright:  "Copyright by SAP AG, 1998"


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

*/


#ifndef HTA99_H
#define HTA99_H


/* ========================================================================== */
/* ==========              DECLARATION OF TYPES                     ========= */
/* ========================================================================== */


#include "ggg00.h"

#if COMPILEMODE_MSP00 >= SLOW_MSP00	
#include "hta01.h"
#endif

/* ========================================================================== */
/* ==========           REPLACEMENTS BY THE PREPROCESSOR            ========= */
/* ========================================================================== */

#undef  TRACER_CLASS_MSP00
#define TRACER_CLASS_MSP00	tta99_TraceClass
#undef  TRACER_CLASS_MEO00
#define TRACER_CLASS_MEO00	tta99_TraceClass


/* ========================================================================== */
/* ==========              DEFINITION OF GLOBAL FUNCTIONS           ========= */
/* ========================================================================== */


class tta99_TraceClass
{
private:
	const char* RoutineName;
	
public:
    tta99_TraceClass (const char *Param = NULL);
    ~tta99_TraceClass ();
    void trace (tgg00_Debug_Enum, const char *format, ...);
};


#endif /*HTA99_H*/