/*!**********************************************************************

  module: hwd211service.h

  -----------------------------------------------------------------------

  responsible:  Holger Bischoff
				Markus zgen

  special area: WebAgent

  description:  Abstract base class BasicService

  see also:

  -----------------------------------------------------------------------

                         Copyright by SAP AG, 1999

    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end


************************************************************************/

#ifndef HWD211SERVICE_H
#define HWD211SERVICE_H

/*=======================================================================
 *  INCLUDES
 *=====================================================================*/

#include "hwd201sock.h"

class twd211_BasicService {
public:    
    // constructor
    twd211_BasicService( twd201_Socket     socket,
                         twd201_SockAddrIn sockName )
        : socket(socket), sockName(sockName) {};
    // destructor
    virtual ~twd211_BasicService() {};

    sapdbwa_Int4 Service();
protected:
    twd201_Socket     socket;
    twd201_SockAddrIn sockName;
}; // class twd211_BasicService

#endif
