# @(#)   desc/fast/os.com   7.1   02/17/98
#
#
#
#    ========== licence begin LGPL
#    Copyright (C) 2000 SAP AG
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#    ========== licence end
#

*                       trace=none check=no
*-u       -DUSER        trace=none check=no
*-s       -DSERVER      trace=none check=no
*-k       -DKERNEL   -Y trace=none check=no
*-c       -DCOMPO       trace=none check=no
*-w       -DWINCOMPO    trace=none check=no
*-x       -DASLIBRARY   trace=none check=no


*                            inc=gos00.h,veo00c,heo46.h

gos00.h   inc=gsp00,gsp100.h,geo60.h   
gos003.h  inc=gsp00,gos00.h,gsp01.h,geo003.h
hos21u.h  inc=gsp00
# XUSER
hos13u.h  inc=gos00.h,hos21u.h
hos04u.h  inc=
hos06.h   inc=gsp01.h
hos23.h   inc=gos00.h,geo003.h
gos42.h   inc=gsp00
hos42.h   inc=gos00.h,geo003.h,gos42.h
gos44.h   inc=gsp01.h
gos38k.h  inc=-gos00.h,veo00c,-heo46.h
gos38.h   inc=-gos00.h,veo00c
gos39k.h  inc=-gos00.h,veo00c,+ggg00,ggg92.h
gos39.h   inc=+ggg00,ggg92.h
hos38k.h  inc=gos00.h
hos38.h   inc=
hos37.h   inc=-gos00.h,veo00c,heo46.h
hos39k.h  inc=gos39k.h
hos39.h   inc=geo39.h
hos33.h   inc=gos00.h
hos63k.h  inc=hos33.h
hos65k.h  inc=gsp00,gos00.h
hos96.h   inc=gos00.h
vos00kc   inc=gos00.h,vsp002c,heo61.h,geo52.h
vos00cnc  inc=+geo52.h,gos542.h
gos94.h   inc=gos00.h,gsp09.h

vos01tc   -DCOMPO  -uc -ansi inc=+gsp09.h                                       # TEST
vos01ic   -DCOMPO  -uc -ansi inc=heo01.h,gos00.h,gos969.h,gsp09.h,gos94.h                        # INSTALL
vos01cc   -DCOMPO  -uc -ansi                                                    # SystemRC

gos96.h    inc=geo00.h,gos003.h,hos23.h,hos33.h
vos96.c   -DSERVER -uc -ansi inc=gos00.h,gos96.h,geo43_0.h,geo007_1.h	-DRUN_AS_SERVICE    # SERVER

gos906.h   inc=geo906.h
gos960.h   inc=gos96.h
vos960.c  -DSERVER -uc -ansi inc=heo420.h,geo007_1.h,hos42.h,gos96.h,gos960.h,heo46.h,geo908.h					-DRUN_AS_SERVICE    # SERVER

gos962.h  inc=gos96.h
vos962.c  -DSERVER -uc -ansi inc=geo007_1.h,geo40.h,heo420.h,geo43_0.h,hos42.h,gos96.h,gos962.h,heo46.h,geo908.h	-DRUN_AS_SERVICE    # SERVER

gos963.h  inc=
vos963.c  -DSERVER -uc -ansi inc=geo007_1.h,geo43_0.h,hos42.h,gos96.h,gos963.h,heo46.h					-DRUN_AS_SERVICE    # SERVER

vos968.c -DSERVER -uc -ansi inc=hsp100.h,geo007_1.h,geo007_2.h,heo01.h,geo43_0.h,gos96.h,gos960.h,gos962.h,gos963.h,gos969.h		-DRUN_AS_SERVICE   # SERVER

gos969.h                                inc=gos00.h
vos969.cpp                              inc=heo01.h,hsp100.h,gos969.h,geo007_1.h
vos969-w.cpp -DCLUSTER_SERVER_VERSION   inc=heo01.h,hsp100.h,gos969.h,geo007_1.h \
                                         dep=gos200.h,gos212.h

vos87cc   -DCOMPO  -uc -ansi -x=ntcpc                                           # DBTIMES
vos88cc   -DCOMPO  -uc -ansi -x=ntcpc                                           # DBPARAMS
vos89cc   -DCOMPO  -uc -ansi inc=+vos00kc                                       # DEVINIT  OS/2 only
vos90cc   -DCOMPO  -uc -ansi inc=+geo007_2.h,geo007_1.h,hsp100.h -DRUN_AS_SERVICE             # START
vos91cc   -DCOMPO  -uc -ansi inc=+vos00kc,geo007_2.h -DRUN_AS_SERVICE              # STOP
vos92-c.c  -DCOMPO  -uc -ansi inc=hsp100.h,veo00xc,geo00_2.h,geo002.h,heo46.h,heo92.h,gos00.h,vos00kc,vos00cnc,geo007_1.h,geo007_2.h # CONS
vos92-m.c -DCOMPO  -uc -ansi inc=hsp100.h,veo00xc,geo00_2.h,geo002.h,heo46.h,heo92.h,gos00.h,vos00kc,vos00cnc,geo007_1.h,geo007_2.h -DRUN_AS_SYSMON \
                              dep=geo921.h
vos93cc   -DCOMPO  -uc -ansi inc=vos00rxc                                       # SQLREXX  OS/2 only
vos94cc   -DCOMPO  -uc -ansi inc=+geo007_1.h,geo007_2.h,veo005c,gos94.h                       # SERVICE  Win32 only

vos97cc   -DCOMPO  -uc -ansi inc=+gsp09.h,geo007_2.h                            # SHOW
vos98cc   -DCOMPO  -uc -ansi inc=+heo11.h,geo007_1.h,geo007_2.h,hos21u.h                   # PUTPARAM

# RTE COMPONENTS
vos60c-c  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h

# WINDOWS COMPONENTS
vos60c-w  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h

# COMMON ASM.
vos76a

#
#  TCP/IP
#
vos40lc   -uc -ansi inc=+geo007_1.h,hsp100.h,heo01.h
vos40c-n  -uc -ansi inc=+gos003.h,hsp100.h  -DNO_SOCKET
vos40c-1  -uc -ansi inc=+gos003.h,hsp100.h
vos40c-2  -uc -ansi inc=+gos003.h,hsp100.h  -DNO_SOCKET_DELAY             

#
# SERVER
#
vos33oc   -uc -ansi inc=+gos003.h,hos33.h,geo007_1.h,geo007_2.h
vos42oc   -uc -ansi inc=+gos003.h,hos23.h,geo007_1.h,geo007_2.h
vos01c-s  -uc -ansi inc=+heo01.h,heo46.h
vos02c-s  -uc -ansi inc=+geo57.h,geo001.h
vos09c-s  -uc -ansi
vos23c-s  -uc -ansi inc=+gsp09.h,heo420.h,gos003.h,hos23.h,hos42.h,geo007_1.h,geo007_2.h,geo43_0.h
vos03c-s  -uc -ansi inc=+geo007_1.h
vos33c-s  -uc -ansi inc=+gos003.h,hos33.h,geo007_1.h,geo007_2.h,heo420.h
vos41c-s  -uc -ansi inc=+geo007_1.h
vos42c-s  -uc -ansi inc=+gos003.h,geo007_1.h,geo007_2.h,heo420.h,hos42.h
vos43c-s  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,hsp100.h,geo43_0.h
vos44c-s  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos541.h,gos44.h
vos49c-s  -uc -ansi inc=+geo007_1.h,vos00sec
vos50c-s  -uc -ansi 
vos57c-s  -uc -ansi inc=+geo007_1.h
vos60c-s  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h
vos80c-s  -uc -ansi 

#
#  USER
#
vos01c-u  -uc -ansi inc=+heo01.h,heo46.h
vos02c-u  -uc -ansi inc=+geo57.h,geo001.h
vos06c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,hos06.h,gsp01.h,heo46.h,gos44.h
vos03c-u  -uc -ansi inc=+geo007_1.h
vos09c-u  -uc -ansi 
vos11c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,heo11.h,heo11_1.h,gos44.h
vos23c-u  -uc -ansi inc=+heo420.h,gos003.h,gsp09.h,hos23.h,hos42.h,geo007_1.h,geo007_2.h,geo43_0.h
vos41c-u  -uc -ansi inc=+geo007_1.h
vos42c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,heo420.h,hos42.h
vos43c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,hsp100.h,geo43_0.h
vos44c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos541.h,gos44.h
vos49c-u  -uc -ansi inc=+geo007_1.h,vos00sec
vos50c-u  -uc -ansi 
vos57c-u  -uc -ansi inc=+geo007_1.h
vos60c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h
vos33c-u  -uc -ansi inc=+gos003.h,hos33.h,geo007_1.h,geo007_2.h,heo420.h
vos80c-u  -uc -ansi 
vos90c-u  -uc -ansi inc=+geo007_1.h,geo007_2.h,hsp100.h
vos94c-u  -uc -ansi inc=+hsp100.h,heo11.h,veo005c,geo007_1.h,gos94.h,gos44.h
vos97c-u  -uc -ansi inc=+heo11.h,geo007_1.h

vos01uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,geo572.h,heo01.h
vos01uc-t -DUSER -uc -ansi                -DWINTERM
vos02uc   -DUSER -uc -ansi 
vos03uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,gos003.h,geo003.h,heo03.h,hos23.h,hos33.h,geo40.h,geo03.h,geo43_0.h
vos03uc-t -DUSER -uc -ansi inc=+gos003.h  -DWINTERM
vos04u                     inc=gsp00
vos04uc   -DUSER -uc -ansi inc=+geo007_1.h,vos00dsc,hos04u.h  -DVIO_KBD
vos05uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h
vos06uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,hos06.h,gos44.h
vos06uc-t -DUSER -uc -ansi                -DWINTERM
vos07uc   -DUSER -uc -ansi inc=+geo572.h
vos08uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h,gos44.h
vos09uc   -DUSER -uc -ansi inc=+vos00dsc  # Windows NT only
vos10uc   -DUSER -uc -ansi
vos12uc   -DUSER -uc -ansi inc=gos00.h,veo00c,heo46.h,hsp78.h,hsp83.h,geo13.h,heo13.h,hos13u.h,geo007_1.h,geo007_2.h,heo12.h
# XUSER
vos13uc   -DUSER -uc -ansi inc=+heo13.h,veo004c,hos13u.h,geo007_1.h,geo007_2.h,geo43_0.h  -DUSE_REGISTRY_DATABASE
vos14uc   -DUSER -uc -ansi inc=+geo43_0.h
vos17uc   -DUSER -uc -ansi inc=+gos003.h
vos18uc   -DUSER -uc -ansi inc=+vsp004,veo004c,+hos13u.h
vos21uc   -DUSER -uc -ansi inc=+hos21u.h
vos24uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h
vos40uc   -DUSER -uc -ansi inc=+geo007_1.h,geo007_2.h
vos40uc-t -DUSER -uc -ansi                -DWINTERM
vos57uc   -DUSER -uc -ansi
vos69uc   -DUSER -uc -ansi


#
#  KERNEL
#
&if $MACHINE in [ IA64 ]
vos38a      -DKERNEL -Xunwind
&endif

vos01c-k  -uc -ansi inc=+heo01.h,heo46.h
vos02c-k  -uc -ansi inc=+geo57.h,geo001.h,vos00kc
vos03c-k  -uc -ansi inc=+geo007_1.h
vos06c-k  -uc -ansi inc=+vos00kc,geo007_1.h,geo007_2.h,hos06.h,gsp01.h,heo46.h,gos44.h
vos11c-k  -uc -ansi inc=+vos00kc,geo007_1.h,geo007_2.h,heo11.h,heo11_1.h,gos44.h
vos41c-k  -uc -ansi inc=+vos00kc,geo007_1.h
vos42c-k  -uc -ansi inc=+gos003.h,geo007_1.h,geo007_2.h,vos00kc,heo420.h,hos42.h
vos43c-k  -uc -ansi inc=+vos00kc,geo007_1.h,geo007_2.h,gos003.h,hsp100.h,geo43_0.h
vos44c-k  -uc -ansi inc=+vos00kc,geo007_1.h,geo007_2.h,gos541.h,gos44.h
vos49c-k  -uc -ansi inc=+vos00kc,geo007_1.h,vos00sec
vos50c-k  -uc -ansi inc=+vos00kc
vos60c-k  -uc -ansi inc=+vos00kc,geo007_1.h,geo007_2.h,gos44.h,heo01.h,geo00_2.h,RTESys_Time.h
vos97c-k  -uc -ansi inc=+vos00kc

vos01kc   -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
# COM Layer
# COM Layer needs MS-VC++ Version 5 therefore vos35k.cpp is compiled without 
#           DCOM support. vos36kc, vos37kc, vos38kc need to be included
#           into sqlkern.lib and vos35k.cpp has to be compiled without
#           defining NO_DCOM to get COM support for UDT's within the kernel.
gos35k.h    inc=geo52.h
vos35.cpp   -DKERNEL -Y -uc -ansi inc=+gsp00,geo00k.h,vsp002c,geo002.h,veo00c,heo35.h,gos00.h,geo007_1.h,geo007_2.h,vos00kc,gos35k.h,heo36.h,heo38.h,hos39.h
vos36.cpp   -DKERNEL -Y -uc -ansi inc=vsp001,geo00d.h,hsp100.h,heo36.h,heo38.h,gos00.h,heo01.h,heo78.h -D_WIN32_DCOM  
vos36-d.cpp          -Y -uc -ansi inc=vsp001,geo00d.h,hsp100.h,heo36.h,heo38.h,gos00.h,heo01.h,heo78.h -D_WIN32_DCOM  
vos37.cpp            -Y -uc -ansi inc=ggg00,gsp00,vsp001,hos37.h,geo36.h -D_WIN32_DCOM  
vos38.cpp  -DUSE_KGS -Y -uc -ansi inc=gsp00,hsp100.h,geo00d.h,geo007_1.h,heo02x.h,heo36.h,heo78.h,vos00kc,gos00.h,geo36.h,hos38.h,geo38.h,hak341.h,heo38.h,heo670.h -D_WIN32_DCOM -GX
vos38-d.cpp          -Y -uc -ansi inc=-veo00c,heo46.h,+gsp00,hsp100.h,heo02x.h,heo36.h,heo78.h,geo007_1.h,vos00kc,geo00d.h,hos38.h,geo36.h,geo38.h,hak341.h,heo38.h,heo670.h -D_WIN32_DCOM -GX
vos38s.cpp           -Y -uc -ansi inc=ggg00,gco01.h,hco60.h,hco61.h,hco62.h,hos39.h,geo38.h,heo38.h -D_WIN32_DCOM 
vos39.cpp   -DKERNEL -Y -uc -ansi dep=vco02.idl,vco01.idl inc=-heo46.h,+ggg00,gsp00,geo007_1.h,vos00kc,vsp001,hak34.h,hak341.h,geo39.h,hos39.h,geo00d.h,heo38.h,heo35.h,heo01.h -D_WIN32_DCOM 
vos50kc     -DKERNEL -Y -uc -ansi inc=+geo002.h,geo007_1.h,vos00kc,gos003.h,heo54k.h,hsp100.h,heo38.h,heo15.h,heo670.h
vos51kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,vsp001c,geo002.h,heo79.h,gos003.h,gos35k.h,heo56.h,heo35.h,heo15.h
vos52kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,heo52.h
vos53kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,gos003.h,heo52.h,geo67.h,heo56.h
#
#  PSE36/PAE/AWE
#
gos541.h     inc=
vos541.c     inc=gos541.h,:intel/pse36api.h
gos542.h     inc=
vos542.c    -DKERNEL -Y -uc -ansi inc=geo00_2.h,geo002.h,geo007_1.h,geo007_2.h,vsp002,heo46.h,heo54k.h,gos00.h,gos541.h,vos00kc,gos542.h,gos543.h
vos543l.c   -uc -ansi inc=+geo007_1.h,hsp100.h,gos543.h
gos543.h     inc=gos00.h
vos543.c    -D_WIN32_WINNT=0x0500 inc=gos543.h,hsp100.h

vos54.c     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo007_2.h,geo50_0.h,geo002.h,heo01.h,heo58.h,heo54k.h,heo52.h,gos541.h,gos44.h
vos55kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,heo55k.h
vos56kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo50_0.h,geo002.h,heo56.h,heo52.h,geo00_2.h
#
# Added code from special kernel version see (vos57.c for details...)
#   Alternative compilation for memory leak detection via x_cons SID DEBUGLEVEL 4/5 into MemChunkInfo.bin/txt
#vos57.c     -DKERNEL -DWANT_SPECIAL_MEM_CHUNK_INFO_CODE -Y -uc -ansi inc=+geo50_0.h,geo002.h,geo007_1.h,heo57.h,-heo46.h,heo670.h
#
vos57.c     -DKERNEL -Y -uc -ansi inc=+geo50_0.h,geo002.h,geo007_1.h,heo57.h,-heo46.h
vos58kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,heo54k.h,gos44.h
vos59kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
vos60kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,gos44.h
vos61kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
vos62kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h
vos64kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,gos003.h
vos65kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo007_2.h,geo50_0.h,geo002.h,hos65k.h,heo52.h,gos541.h,gos44.h,geo54.h
vos66kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo007_2.h,vos00kc,hos06.h,gos44.h
vos68kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,gos003.h
vos69kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
vos70kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,gos003.h,hos63k.h,geo70k.h,gos35k.h,geo52.h,gos542.h,heo15.h
vos71ka     -DKERNEL
vos71kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,geo70k.h
vos72kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
vos73kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h
vos78.cpp                         inc=gos00.h,heo01.h,heo78.h,hsp100.h
vos74kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,geo50_0.h,geo002.h,gos003.h,heo52.h
vos79kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,heo11.h,geo002.h,geo002xp.h,gos44.h
vos80kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
vos80koc    -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc -DWINDOWCOMPAT
vos80knc    -DKERNEL -Y -uc -ansi inc=+vos00kc,geo002.h,gos003.h,geo007_1.h,geo007_2.h
vos81kc     -DKERNEL -Y -uc -ansi inc=+vos00kc,geo002.h,geo002xp.h,gos003.h,geo002.h,gos35k.h,hsp100.h,heo35.h,geo007_1.h,geo67.h,gos44.h,heo15.h,geo43_0.h,heo86.h,Trace_InfoPage.h
vos82kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,vos00cnc,gos003.h,heo54k.h,gos35k.h,heo92.h
vos83kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,gos003.h
vos84kc     -DKERNEL -Y -uc -ansi inc=+gsp01.h,geo007_1.h,vos00kc,geo002.h,geo002xp.h,gos003.h,hos63k.h
vos85kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc
vos88kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,geo002.h,heo38.h
vos89kc     -DKERNEL -Y -uc -ansi inc=+geo007_1.h,vos00kc,gos003.h

# control components
vos901c        -ansi inc=+vsp003c,gsp09.h
vos902c        -ansi inc=+veo00xc,geo002.h,vos00kc,vos00cnc,gsp09.h,veo005c
vos903c        -ansi inc=gsp00,gos00.h,gsp09.h
vos905c -DUSER -ansi inc=+vsp004,gsp09.h,gos003.h,geo007_1.h,geo007_2.h,gos906.h
vos906c        -ansi inc=+vsp001c,gsp09.h,geo007_1.h,gos003.h,hos23.h,hos33.h,gos96.h,heo420.h,hos42.h,veo44c,gos906.h

vos92-x.c -DCTRLCOMP  -uc -ansi inc=hsp100.h,veo00xc,geo00_2.h,geo002.h,heo46.h,heo92.h,gos00.h,vos00kc,vos00cnc,geo007_1.h,geo007_2.h \
                                 dep=vsp004,vsp009c,veo005c
vos94c-x  -DCTRLCOMP  -uc -ansi inc=+vsp004,heo11.h,gsp09.h,veo005c,geo007_1.h,geo007_2.h,hsp100.h,gos94.h,gos44.h

vos97cc-x -DCTRLCOMP -uc -ansi inc=+vsp004,gsp09.h,veo005c,geo007_2.h
vos97cc-s -DCTRLCOMP -uc -ansi inc=+vsp004,gsp09.h,veo005c,geo007_2.h -DRUN_AS_SERVICE
vos50c-i  -DENUMINST_ONLY -uc -ansi
vos50c-d  -DENUMINST_ONLY -uc -MD -ansi
vos97cc-i -DCTRLCOMP -DENUMINST_ONLY -uc -ansi inc=+vsp004,gsp09.h,veo005c,geo007_2.h
vos97cc-d -DCTRLCOMP -DENUMINST_ONLY -MD -uc -ansi inc=+vsp004,gsp09.h,veo005c,geo007_2.h

# used within PLIBOMS.DLD
vos50c-p    -DLIBOMS -uc -ansi 


# microsoft cluster server
vos90c-w      -uc -ansi -DCLUSTER_SERVER_VERSION                  inc=+geo007_1.h,geo007_2.h,hsp100.h,gos200.h,gos212.h
vos94c-w      -uc -ansi -DCLUSTER_SERVER_VERSION                  inc=+hsp100.h,heo11.h,veo005c,geo007_1.h,gos94.h,gos44.h,gos200.h,gos212.h
vos94c-wx     -uc -ansi -DCLUSTER_SERVER_VERSION   -DCTRLCOMP     inc=+vsp004,heo11.h,gsp09.h,veo005c,geo007_1.h,geo007_2.h,hsp100.h,gos94.h,gos44.h,gos200.h,gos212.h

gos200.h		inc=
gos202.h		inc=gos203.h,geo60.h,geo200.h,geo007_1.h
gos203.h		inc=geo60.h,geo200.h
gos204.h		inc=gos203.h,gos205.h,geo007_1.h,gos00.h,geo60.h,geo200.h
gos205.h		inc=geo200.h,geo60.h

gos210.h		inc=
gos212.h		inc=

gos220.h		inc=
gos221.h		inc=gos229.h
gos222.h		inc=gos224.h,gos225.h
gos223.h		inc=
gos224.h		inc=
gos225.h		dep=vos228.idl inc=
gos226.h		inc=
gos227.h		inc=gos222.h,gos224.h 
gos229.h		inc=

vos228.idl   unpack=no noobjcopy -DMIDL_PASS obj= inc= \
             -header=vos228_i.h extdep=vos228_i.h,vos228_i.c -keep_c # -keep_tlb

vos202-l.cpp  -uc -ansi -except                                   inc=geo200.h,gos200.h,geo60.h,gos202.h,gos204.h,gos205.h,geo007_1.h -DCREATE_DLL_LOADER
vos202-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo200.h,gos200.h,geo60.h,gos202.h,gos204.h,gos205.h,geo007_1.h -DCREATE_DLL

vos203.cpp    -uc -ansi -except                                   inc=geo001.h,geo007_1.h,geo60.h,geo200.h,gos203.h
vos203-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo001.h,geo007_1.h,geo60.h,geo200.h,gos203.h
vos204-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo007_1.h,gos204.h,gos00.h,gos200.h,geo200.h,geo60.h
vos205-w.cpp  -uc -ansi -except -DUNICODE                         inc=geo007_1.h,geo200.h,geo60.h,gos205.h,geo60.h

vos210-w.c    -uc -ansi         -DUNICODE                         inc=geo007_2.h,gos00.h,gos200.h,gos210.h,geo60.h
vos211.cpp    -uc -ansi -except                                   inc=geo81.h,gos202.h,geo60.h,gos00.h,geo007_2.h
vos212.cpp    -uc -ansi                                           inc=geo60.h,gos202.h,gos212.h


vos221.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL dep=vos228.idl inc=gos200.h,gos220.h,gos221.h,gos222.h,gos225.h,gos226.h 
vos222.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos200.h,gos221.h,gos222.h,gos225.h
vos223.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos223.h,gos229.h
vos224.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos224.h
vos225.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos221.h,gos225.h,gos227.h,gos200.h,gos00.h
vos226.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h
vos227.cpp    -uc -ansi -except -MD -D_WINDLL -D_AFXDLL -D_USRDLL inc=gos220.h,gos221.h,gos227.h,gos225.h,gos223.h,gos200.h,gos00.h
