/*


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end


*/
#if !defined(AFX_LIVECACHEAW_H__6A5C3698_5999_11D1_A941_00A0C94311A5__INCLUDED_)
#define AFX_LIVECACHEAW_H__6A5C3698_5999_11D1_A941_00A0C94311A5__INCLUDED_

// LiveCacheaw.h : header file
//

class CDialogChooser;

// All function calls made by mfcapwz.dll to this custom AppWizard (except for
//  GetCustomAppWizClass-- see LiveCache.cpp) are through this class.  You may
//  choose to override more of the CCustomAppWiz virtual functions here to
//  further specialize the behavior of this custom AppWizard.
class CLiveCacheAppWiz : public CCustomAppWiz
{
public:
	virtual CAppWizStepDlg* Next(CAppWizStepDlg* pDlg);
	virtual CAppWizStepDlg* Back(CAppWizStepDlg* pDlg);
		
	virtual void InitCustomAppWiz();
	virtual void ExitCustomAppWiz();
	virtual void CustomizeProject(IBuildProject* pProject);

protected:
	CString			m_strUDT_UUID;
	CString			m_strLIBCLSID;
	CString			m_strAPP_CLSID;
	CString			m_strDISPIID_CLSID_ODL;
	CString			m_strDirPath;
	CString			m_strRoot;
	CDialogChooser* m_pChooser;
	IApplication*  	m_pApplication;  
};
// This declares the one instance of the CLiveCacheAppWiz class.  You can access
//  m_Dictionary and any other public members of this class through the
//  global LiveCacheaw.  (Its definition is in LiveCacheaw.cpp.)
extern CLiveCacheAppWiz LiveCacheaw;

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIVECACHEAW_H__6A5C3698_5999_11D1_A941_00A0C94311A5__INCLUDED_)
