/*


    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end


*/
#ifndef StudioOAL_COMMON_H
#define StudioOAL_COMMON_H
/*!**********************************************************************

  module: StudioOAL_Common.h

  -----------------------------------------------------------------------

  responsible:  WolfgangA

  special area: OAL

  description:  Constants for OAL

  see also:

  -----------------------------------------------------------------------

  copyright:                Copyright by SAP AG, 2000

************************************************************************/

/*=======================================================================
 *  INCLUDES
 *=====================================================================*/




/*must be included before vpa00..*/
#include <WINDOWS.H>


#include "vpa00sql.h"
#include "vpa00sqlext.h"
#include "vpa00sqlod32.h"
#include "vpa00sqltypes.h"


const int SQL_PASS_THROUGH = 1001;

/*messages*/
#define  CANNOT_ANALYZE_ERROR               "Cannot analyze error !"
#define  ROW_NOT_FOUND	      				"Row not found"
#define  INVALID_ODBC_HANDLE				"Invalid ODBC Handle !"
#define  STATEMENT_SUCCESSFULLY_EXECUTED	"Statement successfully executed"


/*constants*/
#define  SQLSTATE_SUCCESS				"00000"
#define  SQLSTATE_DATA_TRUNCATED		"01004"
#define  OPERATION_CANCELED				"1008"


#endif