
/*******************************************************************************

  module:       hbd12.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      BD_bufwriter

  lastChanged:  2001-01-03

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HBD12_H
#define HBD12_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '"\017\356\234\345!\307/1K+\321vo\372\226'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void b12a_resume_all_data_writer (
    tsp00_TaskId             pid,
    pasbool                  set_check_fbm);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12check_data_dev_balance (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12clear_vtrace (
    tsp00_TaskId             pid);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12data_writer (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12del_event_dw_compr ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12del_event_dw_displ ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12del_event_savepoint ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12enable_data_writer (
    tsp00_TaskId             TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12flush_completed (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12flush_vtrace (
    tsp00_TaskId             TaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12init ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool b12kernel_stopped ();

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12mblock_trace (
    tgg00_TransContext    &  t,
    tgg00_VtraceType_Param     trace_object,
    tgg00_MessBlock       &  mblock);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12mtrace_moveobject (
    tgg00_TransContext    &  t,
    tgg00_Debug_Param        trace_layer,
    tgg00_VtraceType_Param     trace_object,
    tsp00_Int4               len,
    tsp00_MoveObj         &  buf);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12resume_one_data_writer (
    tgg00_TransContext    &  t,
    integer                  reg_offset,
    tsp00_Int4               dw_index);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12savepoint (
    tgg00_TransContext    &  t,
    tgg00_MessType_Param     svpReason1,
    tgg00_MessType2_Param     svpReason2,
    tsp00_Int4               last_backup_vers,
    tgg90_Cint6           &  seq_redo_start,
    tgg90_Cint6           &  seq_rollb_trunc);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12trace_writer (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void b12vtrace (
    tgg00_TransContext    &  t,
    tgg00_Debug_Param        trace_layer,
    tgg00_VtraceType_Param     trace_object,
    tsp00_Int2               body_len,
    const void*              trace_body);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

