
/*******************************************************************************

  module:       hbd12_2.h.h

  ------------------------------------------------------------------------------

  responsible:  JuergenP

  purpose:      BD_bufwriter

  lastChanged:  2001-01-03

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HBD12_2_H
#define HBD12_2_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\000\234\015\230?\366\204X\036\013\355j\003|\3561'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void b12dump (
    tsp00_TaskId             process_id,
    pasbool                  enter_regions,
    tgg00_DumpStateSet    &  dump_state,
    tsp00_VFilename       &  dump_hostfn,
    tsp00_Page            &  buf,
    tsp00_VfReturn        &  host_err,
    tsp00_ErrText         &  errtext);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

