
/*******************************************************************************
*
* module:       hkb28.h
*
* ------------------------------------------------------------------------------
*
* responsible:  
*
* lastChanged:  1999-07-20
*
* purpose:      KB_shutdown
*
* generatedBy:  $TOOL/bin/ptocProto.py
*
* ------------------------------------------------------------------------------
*
* Copyright by SAP AG, 1999
*


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB28_H
#define HKB28_H


/*****************************************************
 *     RefType: C++
 *****************************************************/

/*****************************************************
 *     MD5: '\340\015\273\362\272PV#\2310}\371-\000\'\220'
 *****************************************************/


/*****************************************************
 *     I N C L U D E S                               *
 *****************************************************/

#include "gsp00.h"
#include "ggg00.h"


/*****************************************************
 *     P R O T O T Y P E S                           *
 *****************************************************/

externPascal void k28emergency_shutdown (
    tgg00_TransContext    &  t,
    tgg00_MessType_Param     origin_mess_type);

externPascal void k28force_checkpt_or_shutdown (
    tgg00_TransContext    &  t,
    tgg00_MessType_Param     messtype,
    tgg00_MessType2_Param     messtype2);

externPascal void k28put_errtext (
    tgg00_TransContext    &  t,
    tsp00_ErrText         &  errtext);


#endif

