
/*******************************************************************************

  module:       hkb50.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_trans_state

  lastChanged:  2000-06-21

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB50_H
#define HKB50_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: 'A(>h\014\374`\336\265\2470Gd\330d\227'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k50aux_fn_no (
    tgg00_TransIndex         TransIndex,
    pasbool                  IsPerm,
    tsp00_Int4            &  AuxiliaryFnNo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50CheckActiveTrans (
    tsp00_TaskId             TaskId,
    tgg91_TransNo         &  TransId,
    tgg00_TransIndex         TransIndex,
    pasbool               &  IsActive);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50check_excl_user (
    tgg00_TransContext    &  Trans,
    tgg00_UserId          &  UserId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50CheckObjSelfLocked (
    tgg00_TransContext    &  Trans,
    tgg92_KernelOid&         Oid,
    tgg00_ObjTransInfo    &  ObjTransInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50eot_check (
    tgg00_TransContext    &  t,
    tgg00_MessType_Param     MessType,
    tgg00_MessType2_Param     MessType2);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50eot_new_trans (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50excl_scan (
    tsp00_TaskId             TaskId,
    pasbool               &  IsEotExcl);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50get_logpos_list (
    tgg00_TransIndex         TransIndex,
    tsp00_Int2            &  LogPosItems,
    tgg00_MessType2       &  LogPosState,
    tsp00_MoveObjPtr      &  LpnoList,
    tsp00_Int4            &  LpnoListLen,
    tsp00_MoveObjPtr      &  PposList,
    tsp00_Int4            &  PposListLen);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50get_temp_log (
    tgg00_TransIndex         TransIndex,
    tsp00_PageNo          &  LogFileRoot,
    tsp00_Int4            &  LogCnt,
    tsp00_Int4            &  FunctRollb,
    pasbool               &  AuxFileExists);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50hash (
    tsp00_Buf             &  buf,
    tsp00_Int4               pos,
    tsp00_Int4               len,
    tsp00_Buf             &  ResBuf,
    integer                  ResPos);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50LockObj (
    tgg00_TransContext    &  Trans,
    tgg00_ObjFileNo          ObjFileNo,
    tgg92_KernelOid&         Oid,
    tgg00_ObjTransInfo    &  ObjTransInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50my_state (
    tgg00_TransIndex         TransIndex,
    pasbool               &  IsEotExcl,
    pasbool               &  AuxPermExists,
    pasbool               &  ObjLogExists,
    tsp00_TaskId          &  TransTaskId);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50not_connected (
    tgg00_MessBlock       &  m);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50ObjConsistentCheck (
    tgg00_TransContext    &  Trans,
    tgg91_TransNo         &  UpdTransId,
    pasbool               &  bConsistent);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool k50oms_have_obj_locks (
    tgg00_TransIndex         TransIndex);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50prev_logpos (
    tgg00_TransIndex         TransIndex,
    tgg00_LogPos          &  PrevLogpos,
    pasbool               &  LogPosListFull);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50put_dummy_logpos (
    tgg00_TransIndex         TransIndex);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50put_temp_log (
    tgg00_TransIndex         TransIndex,
    tgg00_TransState      &  TransState,
    tsp00_PageNo             LogFileRoot,
    tsp00_Int4               LogCnt,
    pasbool                  AuxFileExists);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50reset_logpos_list (
    tgg00_TransIndex         TransIndex,
    tgg00_LogPos             PrevLogpos);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50set_redo_process_id (
    tsp00_TaskId             TaskId,
    tgg00_TransIndex         TransIndex);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50set_timeout (
    tsp00_TaskId             TaskId,
    pasbool                  EnterTransRegion,
    tgg00_TransIndex         TransIndex,
    pasbool                  IsLogFull);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50StartDbProcedure (
    tgg00_TransContext    &  t,
    pasbool                  WaitForCheckpoint);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k50transindex_check (
    tgg00_TransContext    &  t);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50TryCollisionEntryRemove (
    tsp00_TaskId             TaskId,
    tgg91_TransNo         &  LockTransId,
    tgg00_TransIndex         LockTransIndex,
    tgg92_KernelOid&         Oid,
    tgg00_ObjTransInfo    &  ObjTransInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50UnlockObj (
    tsp00_TaskId             TaskId,
    tgg91_TransNo         &  TransId,
    tgg00_TransIndex         TransIndex,
    tgg92_KernelOid&         Oid,
    tgg00_ObjTransInfo    &  ObjTransInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50WaitAndRetryObjLock (
    tgg00_TransContext    &  Trans,
    tgg00_MessType_Param     MessType,
    tgg00_MessType2_Param     MessType2);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb50XxxObjTrace (
    tgg00_TransContext    &  Trans,
    const char*              msg,
    tgg92_KernelOid&         oid,
    tgg91_TransNo         &  UpdTransId,
    tgg91_PageRef         &  BeforeRef,
    tgg00_ObjState_Param     ObjState);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

