
/*******************************************************************************

  module:       hkb56_1.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_logging

  lastChanged:  2000-05-10

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB56_1_H
#define HKB56_1_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: ':*\025\242b\200[\015G.\304\262\272\234\357\011'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"
#include "gkb00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void k56bad_logpage_check (
    tkb00_Page            &  logpage,
    tgg00_PageType_Param     wanted_ptype,
    tgg00_BasisError      &  b_err);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void kb56CmdRollbackLog (
    tgg00_TransContext    &  t,
    tgg00_PageType_Param     log_dev_type,
    tkb00_LogEntrySeq     &  stop_entry_seq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56curr_entry_seq (
    tsp00_TaskId             TaskId,
    tkb00_LogEntrySeq     &  entry_seq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56get_logpage (
    tgg00_TransContext    &  t,
    tsp00_PageNo             wanted_lpno,
    tgg00_PageType_Param     wanted_pagetype,
    tkb00_PagePtr            external_logpage);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56info_log_cache (
    tsp00_TaskId             TaskId,
    tkb00_LogCacheInfo    &  LogCacheInfo);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56infopage_get (
    tsp00_TaskId             task_id,
    tkb00_Page            &  infopage);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp00_Int4 k56logpage_checksum (
    tkb00_Page            &  logpage);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56next_entry_seq (
    tkb00_LogEntrySeq     &  entry_seq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56set_redo_pos (
    tsp00_TaskId             process_id,
    tgg00_LogPos             redo_logpos,
    tkb00_LogEntrySeq        redo_seq);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void k56upd_sequence (
    tkb00_LogEntrySeq        wanted_logseq);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

