
/*******************************************************************************
*
* module:       hkb85.h
*
* ------------------------------------------------------------------------------
*
* responsible:  
*
* lastChanged:  1999-07-20
*
* purpose:      KB_log_reader
*
* generatedBy:  $TOOL/bin/ptocProto.py
*
* ------------------------------------------------------------------------------
*
* Copyright by SAP AG, 1999
*


    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB85_H
#define HKB85_H


/*****************************************************
 *     RefType: C++
 *****************************************************/

/*****************************************************
 *     MD5: '}\263\375\024\000Z\274\212\373\256\024\333\324\023\366r'
 *****************************************************/


/*****************************************************
 *     I N C L U D E S                               *
 *****************************************************/

#include "gsp00.h"
#include "ggg00.h"
#include "gkb08.h"


/*****************************************************
 *     P R O T O T Y P E S                           *
 *****************************************************/

externPascal void kb85EntryHeadFromLogPage (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log,
    tsp00_Int4               HeaderLen,
    tkb08_LogEntryHeader&     LogEntry);

externPascal void k85int2_from_logpage (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log,
    tsp00_Int4               pos_in_logentry,
    tsp00_Int2            &  int2);

externPascal void kb85LogPageRelease (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log);

externPascal void kb85MoveFromLogPage (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log,
    tsp00_Int4               PosInLogEntry,
    tsp00_Int4               SizeofMoveObj,
    void*                    MoveObj,
    tsp00_Int4               MoveObjPos,
    tsp00_Int4               MoveLen);

externPascal void k85move1_from_logpage (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log,
    tsp00_Int4               pos_in_logentry,
    tsp00_Int4               sizeof_moveobj,
    tsp00_MoveObj         &  moveobj,
    tsp00_Int4               moveobj_pos,
    tsp00_Int4               move_len);

externPascal void k85move2_from_logpage (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log,
    tsp00_Int4               pos_in_logentry,
    tsp00_Int4               sizeof_moveobj,
    tsp00_MoveObj         &  moveobj,
    tsp00_Int4               moveobj_pos,
    tsp00_Int4               move_len);

externPascal void k85next_logentry (
    tgg00_TransContext    &  t,
    tkb08_LogentryParam   &  log);

externPascal void kb85ParamLogEntryInit (
    tkb08_LogentryParam   &  log);

externPascal void kb85ReadLogEntry (
    tgg00_TransContext    &  t,
    tgg00_LogPos          &  EntryPos,
    tkb08_LogentryParam   &  log);


#endif

