
/*******************************************************************************

  module:       hkb90.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      KB_sender_receiver

  lastChanged:  2000-01-07

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin  GPL
    Copyright (C) 2000 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

********************************************************************************/

#ifndef HKB90_H
#define HKB90_H


/*===========================================================================*
 *     RefType: C++                                                          *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\243\344\307\377\020\330l\267\366$q\202-\317\250\373'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"
#include "ggg00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal pasbool k90all_server_ready (
    tsp00_TaskId             TaskId);

externPascal void k90allocate_netserver (
    tgg00_TransContext    &  Trans);

externPascal void k90child_reply (
    tgg00_MessBlock       &  mblock,
    tsp00_Int2               ServerIndex,
    tgg00_TransChild      &  ChildTrans);

externPascal void k90clear_netserver (
    tgg00_TransContext    &  Trans);

externPascal void k90dump_netserver (
    tgg00_VfFileref       &  HostFile,
    tsp00_Page            &  buf,
    tsp00_Int4            &  OutPno,
    integer               &  OutPos,
    tsp00_VfReturn        &  HostError,
    tsp00_ErrText         &  ErrorText);

externPascal tsp_int4 k90free_requests (
    tsp_process_id           TaskId,
    tgg_message_type_Param     mtype,
    pasbool                  InRegion);

externPascal void k90init_server_manager (
    tsp00_TaskId             TaskId);

externPascal void k90rcv_child (
    tgg00_MessBlock       &  mblock,
    tgg00_TransChild      &  ChildTrans);

externPascal void k90send (
    tgg00_MessBlock       &  mblock,
    tgg00_TransChild      &  ChildTrans);

externPascal void k90send_prefix_destroy_files (
    tgg00_TransContext    &  Trans);

externPascal void k90server_init (
    tgg00_TransContext    &  Trans,
    tsp00_Int2            &  ServerIndex,
    pasbool               &  IsDynamic);

externPascal void k90sreceive_server (
    tgg00_MessBlock       &  mblock,
    tsp00_Int2               ServerIndex,
    pasbool                  AlreadyIdle,
    tgg00_TransChild      &  ChildTrans);

externPascal void k90wait_until_server_finished (
    tsp00_TaskId             TaskId);


#endif

