&if $OSSPEC in [ WIN32 ]
@echo off


rem Release : 7.2    Date : 1999-03-30
rem
rem Libraries for SAPDB C/C++ Precompiler
rem -------------------------------------

if "%PCRVER%" == "" goto DEFAULT
if "%PCRVER%" == "-MT" goto DEFAULT
if "%PCRVER%" == "-MD" goto DYNAMIC
if "%PCRVER%" == "-SMT" goto STATIC
goto DEFAULT

: DYNAMIC
if     "%OCI%" == "" echo %DBROOT%\LIB\libsqlcad.lib
if not "%OCI%" == "" echo %DBROOT%\LIB\oci.lib
echo %DBROOT%\LIB\libpcrl.lib
echo msvcrt.lib
echo -nodefaultlib:libcmt 
goto STANDARD 

: STATIC
if     "%OCI%" == "" echo %DBROOT%\LIB\libsqlca.lib
if not "%OCI%" == "" echo %DBROOT%\LIB\oci.lib
echo %DBROOT%\LIB\libpcrs.lib
echo libcmt.lib
goto STANDARD


: DEFAULT
if     "%OCI%" == "" echo %DBROOT%\LIB\libsqlca.lib
if not "%OCI%" == "" echo %DBROOT%\LIB\oci.lib
echo %DBROOT%\LIB\libpcrm.lib
echo libcmt.lib


: STANDARD 
echo oldnames.lib
echo kernel32.lib
echo -nodefaultlib:libc
echo user32.lib
echo gdi32.lib
echo advapi32.lib


&else
#!/bin/sh
#
# Release : 7.2      Date : 1999-30-03
#
# Libraries for SAPDB C/C++ Precompiler
# ------------------------------------------

&if $OS = UNIX
& if $MACH in [ SUN ]
echo -mt
echo -ldl
& endif
&if (defined BIT64 && !($MACH in [ALPHA, IA64]))
echo -L$DBROOT/lib/lib64
&else
echo -L$DBROOT/lib
&endif
# Dynamic Library Loader for Precompiler
& if $MACH in [ PA11, PA20W, ALPHA, SUN ]
& else
echo -lpcrl 
& endif

# Static Data for Precompiler Runtime
echo -lsqlca
# Do not include the path into the executable
& if $MACH in [ _IBMR2 ]
echo -qnolibpath
echo -ldl
& endif
& if $MACH in [ SUN ]
echo -Bstatic
echo -Bdynamic
echo -lpcrl
echo -lsocket
echo -lnsl
& endif

& if $MACH in [ PA11, PA20W, ALPHA ]
#
# This replaces the Dynamic Library Loader for Precompiler...
#
echo -lpcrl
echo -lm
& endif

& if $OSSPEC in [ LINUX ]
#
# For dynamic loader
#
echo -ldl
&endif
&endif

&endif
