
/*******************************************************************************

  module:       hsp30.h.h

  ------------------------------------------------------------------------------

  responsible:  

  purpose:      RTE-Extension-30

  lastChanged:  2000-06-06

  generatedBy:  $TOOL/bin/ptocProto.py

  ------------------------------------------------------------------------------

  copyright:    Copyright by SAP AG, 1999



    ========== licence begin LGPL
    Copyright (C) 2000 SAP AG

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    ========== licence end

********************************************************************************/

#ifndef HSP30_H
#define HSP30_H


/*===========================================================================*
 *     RefType: Both                                                         *
 *===========================================================================*/

/*===========================================================================*
 *     MD5: '\260\225\256c\204xRX\332\232\227\343\036\000_\323'
 *===========================================================================*/


/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "gsp00.h"


/*===========================================================================*
 *  FUNCTION PROTOTYPES                                                      *
 *===========================================================================*/

externPascal void s30cmp (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30cmp1 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30cmp2 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30cmp3 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30gkey (
    void                  *  buf,
    integer                              pos,
    integer                              length,
    tsp_key               VAR_ARRAY_REF  k);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool s30eq (
    void                  *  a,
    void                  *  b,
    tsp_int4                             b_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool s30eq1 (
    void                  *  a,
    void                  *  b,
    tsp_int4                             b_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal pasbool s30eqkey (
    tsp_sname             VAR_ARRAY_REF  a,
    void                  *  b,
    tsp_int4                             b_pos,
    integer                              length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal integer s30klen (
    void                  *  str,
    char                                 val,
    integer                              cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30lnr (
    void                  *  str,
    char                                 skip_val,
    tsp_int4                             start_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30lnr1 (
    void                  *  str,
    char                                 skip_val,
    tsp_int4                             start_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30lnr_defbyte (
    void*                                str,
    char                                 defbyte,
    tsp_int4                             start_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30nlen (
    void                  *  str,
    char                                 val,
    tsp_int4                             start,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30len (
    void                  *  str,
    char                                 val,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30len1 (
    void                  *  str,
    char                                 val,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30len2 (
    void                  *  str,
    char                                 val,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30len3 (
    void                  *  str,
    char                                 val,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30len4 (
    void                  *  str,
    char                                 val,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30map (
    tsp_ctable            VAR_ARRAY_REF  code_t,
    void                  *  source,
    tsp_int4                             source_pos,
    void                  *  destin,
    tsp_int4                             destin_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30luc (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30luc1 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30lcm (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30lcm1 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30lcm2 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30lcm3 (
    void                  *  buf1,
    tsp_int4                             fieldpos1,
    tsp_int4                             fieldlength1,
    void                  *  buf2,
    tsp_int4                             fieldpos2,
    tsp_int4                             fieldlength2,
    tsp_lcomp_result      VAR_VALUE_REF  l_result);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30lenl (
    void                  *  str,
    char                                 val,
    tsp_int4                             start,
    tsp_int4                             cnt);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad1 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad2 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad3 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad4 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad5 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad6 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_addr s30gad7 (
    void                  *  b);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal tsp_int4 s30unilnr (
    tsp_moveobj_ptr                      str,
    tsp_c2                VAR_ARRAY_REF  skip_val,
    tsp_int4                             start_pos,
    tsp_int4                             length);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30xorc4 (
    tsp_c4                VAR_ARRAY_REF  c4_1,
    tsp_c4                VAR_ARRAY_REF  c4_2,
    tsp_c4                VAR_ARRAY_REF  c4_target);

/* Don't edit this file by hand, it is generated by ptocProto.py */

externPascal void s30surrogate_incr (
    tsp_c8                VAR_ARRAY_REF  surrogate);

/* Don't edit this file by hand, it is generated by ptocProto.py */


#endif

